package cn.wise.sc.pay.common.core.util;


import cn.wise.sc.pay.common.core.query.TimeBucket;
import org.apache.poi.ss.formula.functions.T;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @description: 日期转换帮助类
 * @author: qh
 * @create: 2019-11-13 15:30
 **/
public class DateTimeUtils {

    /**
     * 转换规则
     */
    private static final String TRANSFORM_RULE = "yyyy-MM-dd HH:mm:ss";

    /**
     * long转string
     *
     * @param date
     * @return
     */
    public static String long2String(Long date) {

        Date time = new Date(date);
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(TRANSFORM_RULE);

        return simpleDateFormat.format(time);
    }

    /**
     * 验证时间段是否合法
     *
     * @param timeBucket
     * @return
     */
    public static boolean validTimeBucket(TimeBucket timeBucket) {

        if (timeBucket.getStartTime() == null || timeBucket.getEndTime() == null) {
            return false;
        }
        if (timeBucket.getStartTime() <= 0 || timeBucket.getEndTime() <= 0) {
            return false;
        }
        return timeBucket.getStartTime() <= timeBucket.getEndTime();

    }

    public static void main(String[] args) {
        System.out.println(long2String(1573630715039L));
    }

    public static boolean check(Long start, Long end) {
        TimeBucket timeBucket = new TimeBucket();
        timeBucket.setStartTime(start);
        timeBucket.setEndTime(end);
        return validTimeBucket(timeBucket);
    }
}
