package cn.wise.sc.pay.common.mq.server.controller;

import cn.wise.sc.pay.common.mq.server.model.JMSDetail;
import cn.wise.sc.pay.common.mq.server.service.IProducer;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 普通生产者
 * @author: qh
 * @create: 2019-12-13 16:35
 **/
@RestController
@RequestMapping(value = "/prouder")
public class ProuderController {

    @Autowired
    IProducer iProducer;

    /**
     * 普通发信息
     *
     * @param routKey
     * @param msg
     */
    @PostMapping("/send")
    public void sendMsg(@RequestParam("routKey") String routKey, @RequestParam("msg") String msg) {
        iProducer.send(routKey, msg);
    }


    /**
     * 构建队列
     *
     * @param jmsDetail
     */
    @PostMapping("/create/queue")
    public boolean createQueue(@RequestBody JMSDetail jmsDetail) {
        return iProducer.bindJMS(jmsDetail);
    }


}