package cn.wise.sc.pay.common.mq.task;

import java.util.concurrent.CountDownLatch;

import cn.wise.sc.pay.common.mq.client.TransactionMqRemoteClient;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ConfigurableApplicationContext;

@EnableDiscoveryClient
@EnableFeignClients(basePackageClasses = {TransactionMqRemoteClient.class} )
@SpringBootApplication(scanBasePackages = "cn.wise.sc.pay")
public class TransactionTaskApplication {
    private static final Logger LOGGER = LoggerFactory.getLogger(TransactionTaskApplication.class);

    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(TransactionTaskApplication.class);
        ConfigurableApplicationContext content = application.run(args);
        try {
            ProcessMessageTask task = content.getBean(ProcessMessageTask.class);
            task.start();

            new CountDownLatch(1).await();
        } catch (InterruptedException e) {
            LOGGER.error("项目启动异常", e);
        }
    }
}
