package cn.wise.sc.pay.business.comment.service.impl;

import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.business.comment.mapper.CommentMapper;
import cn.wise.sc.pay.business.comment.mapper.ReplyMapper;
import cn.wise.sc.pay.business.comment.service.IReplyService;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class ReplyServiceImpl implements IReplyService {

    @Autowired
    ReplyMapper replyMapper;

    @Autowired
    CommentMapper commentMapper;

    @Override
    public Integer deleteByCommentId(List<String> commentIds) {
        if(commentIds == null || commentIds.size() == 0){
            return 0;
        }
        UpdateWrapper<Reply> wrapper = new UpdateWrapper<>();
        wrapper.in("cor_id",commentIds);
        return replyMapper.delete(wrapper);
    }

    @Override
    public Integer insertReply(Reply reply) {
        Long commentId = reply.getCorId();
        if(commentId != null){
            reply.setCreateTime(System.currentTimeMillis());
            Integer result = replyMapper.insert(reply);
            Comment comment = commentMapper.selectById(commentId);
            comment.setRepliesNum(comment.getRepliesNum() + 1);
            commentMapper.updateById(comment);
            return result;
        }
        return 0;
    }

    @Override
    public Integer updatePraiseNum(Long id) {
        if(id != null){
            Reply reply = replyMapper.selectById(id);
            reply.setPraiseNum(reply.getPraiseNum() + 1);
            return replyMapper.updateById(reply);
        }
        return 0;
    }

    @Override
    public Integer deleteById(Long id) {
        if(id != null){
            return replyMapper.deleteById(id);
        }
        return 0;
    }


}
