/*
SQLyog Ultimate v12.09 (64 bit)
MySQL - 5.7.28 : Database - oxo_association
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
/*Table structure for table `asso_comment` */

DROP TABLE IF EXISTS `asso_comment`;

CREATE TABLE `asso_comment` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `target_id` bigint(20) NOT NULL COMMENT '评论主体标识id',
  `critic_id` bigint(20) NOT NULL COMMENT '评论人id',
  `critic_name` varchar(128) NOT NULL COMMENT '评论人名称',
  `critic_iamge` varchar(128) DEFAULT NULL COMMENT '评论人头像',
  `content` varchar(1024) NOT NULL COMMENT '评论内容',
  `praise_num` bigint(20) NOT NULL DEFAULT '0' COMMENT '评论点赞数',
  `replies_num` bigint(20) NOT NULL DEFAULT '0' COMMENT '回复数',
  `com_back1` varchar(128) DEFAULT NULL COMMENT '备用字段1',
  `com_back2` varchar(128) DEFAULT NULL COMMENT '备用字段2',
  `create_time` bigint(20) NOT NULL COMMENT '评论时间',
  `update_time` bigint(20) NOT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

/*Table structure for table `asso_reply` */

DROP TABLE IF EXISTS `asso_reply`;

CREATE TABLE `asso_reply` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `content` varchar(512) NOT NULL COMMENT '内容',
  `cor_id` bigint(20) NOT NULL COMMENT '评论的id',
  `tou_id` bigint(20) DEFAULT NULL COMMENT '目标用户id',
  `tou_name` varchar(128) DEFAULT NULL COMMENT '目标用户名称',
  `tou_image` varchar(128) DEFAULT NULL COMMENT '目标用户头像',
  `user_id` bigint(20) NOT NULL COMMENT '用户id',
  `user_name` varchar(128) NOT NULL COMMENT '用户名称',
  `user_image` varchar(128) DEFAULT NULL COMMENT '用户头像',
  `praise_num` bigint(20) NOT NULL DEFAULT '0' COMMENT '点赞数',
  `re_num` bigint(20) NOT NULL DEFAULT '0' COMMENT '回复数',
  `re_back1` varchar(56) DEFAULT NULL COMMENT '备用字段1',
  `re_back2` varchar(56) DEFAULT NULL COMMENT '备用字段2',
  `create_time` bigint(20) NOT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

/*Table structure for table `asso_source` */

DROP TABLE IF EXISTS `asso_source`;

CREATE TABLE `asso_source` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `aoc_id` bigint(20) NOT NULL COMMENT '资源对应文章或评论id',
  `url` varchar(128) NOT NULL COMMENT '资源存储/访问路径',
  `order_num` int(11) NOT NULL COMMENT '同一文章资源排序号',
  `type` int(11) NOT NULL DEFAULT '0' COMMENT '0图片，1视频',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
