package cn.wise.sc.pay.business.goods.model;

import cn.wise.sc.pay.business.goods.model.vo.SpcDetailVO;
import cn.wise.sc.pay.common.core.model.BaseResponse;

/**
 * @description: 规格详情返回对象
 * @author: qh
 * @create: 2019-12-16 22:15
 **/
public class SpcDetailResponse extends BaseResponse<SpcDetailVO> {

    private static SpcDetailResponse createBaseResponse() {
        return new SpcDetailResponse();
    }

    public static SpcDetailResponse ok(String msg) {

        SpcDetailResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(new SpcDetailVO());

        baseResponse.setClassName(SpcDetailVO.class.getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static SpcDetailResponse ok(SpcDetailVO data) {

        SpcDetailResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg("操作成功");

        return baseResponse;
    }

    public static SpcDetailResponse ok(String msg, SpcDetailVO data) {

        SpcDetailResponse baseResponse = createBaseResponse();

        baseResponse.setCode(200);

        baseResponse.setData(data);

        baseResponse.setClassName(data.getClass().getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }

    public static SpcDetailResponse error(String msg) {

        SpcDetailResponse baseResponse = createBaseResponse();

        baseResponse.setCode(400);

        baseResponse.setData(null);

        baseResponse.setClassName(SpcDetailVO.class.getName());

        baseResponse.setMsg(msg);

        return baseResponse;
    }
}
