package cn.wise.sc.pay.business.goods.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @description: 规格详情
 * @author: qh
 * @create: 2019-12-03 10:48
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpcDetail extends Model<SpcDetail> {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 规格详情名
     */
    private String name;

    /**
     * 售价
     */
    private BigDecimal price;

    /**
     * 主体规格id
     */
    @TableField("spc_id")
    private Long spcId;

    /**
     * 库存
     */
    private Integer store;

    /**
     * 版本
     */
    private Integer version;
}
