package cn.wise.sc.pay.business.goods.model.vo;

import cn.wise.sc.pay.business.goods.model.bean.Goods;
import cn.wise.sc.pay.business.goods.util.GoodsStatusUtil;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 商品VO
 * @author: qh
 * @create: 2019-12-16 22:32
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsVO {

    private Long id;
    /**
     * 商品名
     */
    private String name;
    /**
     * 商品封面
     */
    private String cover;
    /**
     * 商品上下架  0：已下架  1:售卖中  3:待审核  4.审核不通过
     */
    private String status;
    /**
     * 商品类型 /分割
     */
    private String type;
    /**
     * 卖家id
     */
    private Long sellerId;
    /**
     * 价格  (原field1)
     */
    private String price;
    /**
     * 单位 unit (原field2)
     */
    private String unit;
    /**
     * 是否有规格,0 无，1 是  (原field3)
     */
    private String spc;
    /**
     * 店铺名  (原field5)
     */
    private String shopName;
    /**
     * 下架原因  (原field4)
     */
    private String reason;
    private String code;

    /**
     * 转VO构造
     *
     * @param goods
     */
    public GoodsVO(Goods goods) {
        this.id = goods.getId();
        this.cover = goods.getCover();
        this.name = goods.getName();
        this.sellerId = goods.getSellerId();
        this.status = GoodsStatusUtil.getStatus(goods.getStatus());
        this.type = goods.getType();
        this.price = goods.getField1();
        this.unit = goods.getField2();
        this.spc = goods.getField3();
        this.reason = goods.getField4();
        this.shopName = goods.getField5();
        this.code = goods.getCode();
    }

}
