package cn.wise.sc.pay.business.goods.service;

import cn.wise.sc.pay.business.goods.model.GoodsTypeResponse;
import cn.wise.sc.pay.business.goods.model.bean.GoodsType;
import cn.wise.sc.pay.business.goods.model.query.GoodsTypeQuery;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品类型 服务类
 * </p>
 *
 * @author qh
 * @since 2019-12-03
 */
public interface IGoodsTypeService extends IService<GoodsType> {

    /**
     * 新增商品类型
     *
     * @param typeQuery
     * @return
     */
    GoodsTypeResponse newGoodsType(GoodsTypeQuery typeQuery);

    /**
     * 编辑
     *
     * @param typeQuery
     * @return
     */
    GoodsTypeResponse editGoodsType(GoodsTypeQuery typeQuery);


    /**
     * 删除商品分类
     *
     * @param id
     * @param sellerId
     * @return
     */
    GoodsTypeResponse delGoodsType(long id, long sellerId);


    /**
     * 获取所有分类
     *
     * @return
     */
    BaseResponse getList(long sellerId, short status);

    /**
     * 删除类别同时下架该类型下的所有商品
     * @param id 类型id
     * @param sellerId 卖家id
     * @return
     */
    BaseResponse delTypeAndUnShelveGoods(int id, int sellerId);

    BaseResponse getAppList(int sellerId, short status);
}
