package cn.wise.sc.pay.business.goods.service;

import cn.wise.sc.pay.business.goods.model.SpcResponse;
import cn.wise.sc.pay.business.goods.model.bean.Specification;
import cn.wise.sc.pay.business.goods.model.query.SpecificationQuery;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 商品规格 服务类
 * </p>
 *
 * @author qh
 * @since 2019-12-03
 */
public interface ISpecificationService extends IService<Specification> {

    /**
     * 新增规格
     *
     * @param specificationQuery
     * @return
     */
    SpcResponse newSpecification(SpecificationQuery specificationQuery);

    /**
     * 编辑
     *
     * @param specificationQuery
     * @return
     */
    SpcResponse editSpecification(SpecificationQuery specificationQuery);


    /**
     * 删除规格
     *
     * @param id
     * @param sellerId
     * @return
     */
    SpcResponse delSpecification(long id, long sellerId);

    /**
     * 获取所有
     *
     * @return
     */
    BaseResponse getList(long goodsId);

    /**
     * 获取商品规格
     * @param goodsId
     * @return
     */
    BaseResponse getGoodsSpc(int goodsId);

}
