package cn.wise.sc.pay.laas.userbac.business.service.impl;

import cn.wise.sc.pay.laas.userbac.business.mapper.SysRoleMapper;
import cn.wise.sc.pay.laas.userbac.business.mapper.SysRoleMenuMapper;
import cn.wise.sc.pay.laas.userbac.business.config.DTNFIX;
import cn.wise.sc.pay.laas.userbac.business.service.RoleService;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysRole;
import cn.wise.sc.pay.laas.userbac.domain.entity.SysRoleMenu;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>

 */
@Service
@AllArgsConstructor
public class RoleServiceImpl extends ServiceImpl<SysRoleMapper, SysRole> implements RoleService{
	private SysRoleMenuMapper sysRoleMenuMapper;

	@Autowired
	DTNFIX dtnfix;

	/**
	 * 通过用户ID，查询角色信息
	 *
	 * @param userId
	 * @return
	 */
	@Override
	public List listRolesByUserId(Integer userId) {
		return baseMapper.listRolesByUserId(userId,dtnfix.prefix(),dtnfix.suffix());
	}

	/**
	 * 通过角色ID，删除角色,并清空角色菜单缓存
	 *
	 * @param id
	 * @return
	 */
	@Override
	//@CacheEvict(value = "menu_details", allEntries = true)
	@Transactional(rollbackFor = Exception.class)
	public Boolean removeRoleById(Integer id) {
		sysRoleMenuMapper.delete(Wrappers
			.<SysRoleMenu>update().lambda()
			.eq(SysRoleMenu::getRoleId, id));
		return this.removeById(id);
	}
}
