package cn.wise.sc.pay.pass.business.app.controller.association;


import cn.wise.sc.pay.api.association.service.IArticleCommentService;
import cn.wise.sc.pay.business.comment.bean.Comment;
import cn.wise.sc.pay.business.comment.controller.CommonCommentController;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@RequestMapping("/app/association/comment/")
@CrossOrigin
public class ArticleCommentController extends CommonCommentController {

    final
    IArticleCommentService articleService;

    public ArticleCommentController(IArticleCommentService articleService) {
        this.articleService = articleService;
    }

    @Override
    @PostMapping("/addComment")
    @ApiOperation("添加评论")
    public BaseResponse addComment(@RequestBody Comment comment) {

        return articleService.addComment(comment);
    }

    @Override
    @GetMapping("/commentPage")
    @ApiOperation("根据文章id分页获取评论")
    public BaseResponse getCommentsByTargetId(@RequestParam("targetId")Long targetId,
                                              PageQuery pageQuery){
        return articleService.getCommentsByTargetId(targetId,pageQuery.getPageNo(),pageQuery.getPageSize());
    }

}

