package cn.wise.sc.pay.pass.business.app.controller.association;


import cn.wise.sc.pay.api.association.service.IBlacklistService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Blacklist;
import cn.wise.sc.pay.domain.association.query.BlacklistQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Api(description = "社群黑名单管理")
@RestController
@RequestMapping("/association/blacklist")
@CrossOrigin
public class BlacklistController {

    @Autowired
    IBlacklistService blacklistService;

    @GetMapping("/list")
    @ApiOperation("获取社群黑名单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "userName", value = "用户名称", paramType = "path", dataType = "String"),
            @ApiImplicitParam(name = "pageNo", value = "页码", paramType = "path", dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "条数", paramType = "path", dataType = "Integer")
    })
    public BaseResponse<Page<Blacklist>> list(String userName, PageQuery pageQuery) {
        return blacklistService.list(userName,pageQuery);
    }

    @PostMapping("/addBlacklist")
    @ApiOperation("新增黑名单成员")
    @ApiImplicitParam(name = "blacklistQuery", value = "黑名单查询类", paramType = "body", dataType = "json")
    public BaseResponse addBlacklist(@RequestBody BlacklistQuery blacklistQuery) {
        return blacklistService.addBlacklist(blacklistQuery);
    }


    @DeleteMapping("/deleteBlacklist")
    @ApiOperation("移除黑名单成员")
    @ApiImplicitParam(name = "id", value = "黑名单id", paramType = "query", dataType = "Long")
    public BaseResponse deleteBannerById(Long id) {
        return blacklistService.deleteBannerById(id);
    }
}











