package cn.wise.sc.pay.pass.business.app.controller.association;


import cn.wise.sc.pay.api.association.service.ICommentReplyService;
import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@RequestMapping("/association/commentReply")
@CrossOrigin
public class CommentReplyController {

    @Autowired
    ICommentReplyService replyService;

    @PostMapping("/addReply")
    @ApiOperation("评论回复")
    @ApiImplicitParam(name = "reply", value = "评论回复实体", paramType = "body", dataType = "Reply")
    public BaseResponse inserReply(@RequestBody Reply reply) {
        return replyService.inserReply(reply);
    }

    @DeleteMapping("/deleteById")
    @ApiOperation("删除评论回复")
    @ApiImplicitParam(name = "id", value = "回复id", paramType = "path", dataType = "Long")
    public BaseResponse deleteById(Long id) {
        return replyService.deleteById(id);
    }

    @DeleteMapping("/deleteByCommentIds")
    @ApiOperation("删除评论回复根据评论id列表")
    @ApiImplicitParam(name = "commentIdStr", value = "评论id 列表", paramType = "body", dataType = "List")
    public BaseResponse deleteByCommentIds(String commentIdStr) {
      return replyService.deleteByCommentIds(commentIdStr);
    }

    @PutMapping("/updatePariseNum")
    @ApiOperation("点赞数+1")
    @ApiImplicitParam(name = "id", value = "回复id", paramType = "path", dataType = "Long")
    public BaseResponse updatePraiseNum(Long id) {
       return replyService.updatePraiseNum(id);
    }

}

