package cn.wise.sc.pay.pass.business.app.controller.association;


import cn.wise.sc.pay.api.association.service.ITopicService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Topic;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
@Api(description = "社群话题管理")
@RestController
@RequestMapping("/association/topic")
@CrossOrigin
public class TopicController {

    @Autowired
    ITopicService topicService;

    @GetMapping("/list")
    @ApiOperation("获取话题列表")
    public BaseResponse<List<Topic>> list() {
        return topicService.list();
    }

    @PostMapping("/addTopic")
    @ApiOperation("添加话题")
    public BaseResponse addTopic(@RequestBody Topic topic) {
        return topicService.addTopic(topic);
    }

    @GetMapping("/page")
    @ApiOperation("分页话题列表")
    public BaseResponse<Page<Topic>> pageTopic(String name, PageQuery pageQuery){
        return topicService.pageTopic(name,pageQuery);
    }

    @PutMapping("updateName")
    @ApiOperation("更新话题名称")
    public BaseResponse updateTopicName(@RequestBody Topic topic) {
        return topicService.updateTopicName(topic);
    }

    @PutMapping("updateOrder")
    @ApiOperation("更新社群分类排序")
    public BaseResponse updateTopicOrder(Long tId, Long oId) {
        return topicService.updateTopicOrder(tId, oId);
    }

    @DeleteMapping("delete")
    @ApiOperation("删除社群分类")
    public BaseResponse deleteTopicById(Long id) {
        return topicService.deleteTopicById(id);
    }

}

