package cn.wise.sc.pay.pass.business.app.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IBannerImageService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.BannerImage;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * @author lqk
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@Api(description = "焦点图")
@RequestMapping("/app/merchant/banner/")
@Slf4j
public class BannerImageController {

    final
    IBannerImageService bannerImageService;

    public BannerImageController(IBannerImageService bannerImageService) {
        this.bannerImageService = bannerImageService;
    }

    @GetMapping("bannerImages")
    public BaseResponse getBannerImageList() {
        return bannerImageService.getBannerImageList();
    }

    @GetMapping("typeList")
    public BaseResponse getTypeList() {
        return bannerImageService.getTypeList();
    }

    @GetMapping("advertImages")
    public BaseResponse getAdvertImageList(){
       return bannerImageService.getAdvertImageList();
    }

    @GetMapping("eshopImages")
    public BaseResponse getEshopImageList(){
        return bannerImageService.getEshopImageList();
    }
}
