package cn.wise.sc.pay.pass.business.cashiers.controller;

import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.laas.userbac.business.controller.MenuController;
import cn.wise.sc.pay.laas.userbac.business.service.MenuService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/12/9 18:27
 */
@CrossOrigin
@RestController
@RequestMapping("/cashiers/menu")
@Api(value = "/cashiers/menu", tags = "收银端权限管理")
public class CashierMenuControler extends MenuController {

    @Autowired
    MenuService menuService;

    public CashierMenuControler(MenuService menuService) {
        super(menuService);
    }

    @ApiOperation("菜单权限及操作权限分页列表")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "moa" , value = "筛选条件 (0菜单权限 1操作权限)",dataType = "String", paramType = "path"),
            @ApiImplicitParam(name = "pageNo" , value = "当前页数",dataType = "Integer", paramType = "path"),
            @ApiImplicitParam(name = "pageSize" , value = "每页条数",dataType = "Integer", paramType = "path")
    })
    @GetMapping("menus")
    public ResponseEntity getMenus(String moa, PageQuery pageQuery){
        Page page = new Page();
        if(pageQuery != null){
            page.setSize(pageQuery.getPageSize());
            page.setCurrent(pageQuery.getPageNo());
        }
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.orderByDesc("create_time");
        if(StringUtils.isBlank(moa) || !StringUtils.isNumeric(moa)) {
            return ResponseEntity.badRequest().body(null);
        }else{
            wrapper.eq("type",moa);
        }
        page = (Page) menuService.page(page,wrapper);
        return ResponseEntity.ok(page);
    }
}
