package cn.wise.sc.pay.pass.business.cashiers.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IBankPermitService;
import cn.wise.sc.pay.domain.merchant.bean.BankPermit;
import cn.wise.sc.pay.domain.merchant.query.BankPermitQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/bank/")
@Slf4j
public class BankPermitController {

    final
    IBankPermitService bankPermitService;

    public BankPermitController(IBankPermitService bankPermitService) {
        this.bankPermitService = bankPermitService;
    }

    @PostMapping("addLicense")
    public ResponseEntity addBankPermit(@RequestBody BankPermitQuery bankPermitQuery) {
        return bankPermitService.addBankPermit(bankPermitQuery);
    }

    @PutMapping("updateLicense")
    public ResponseEntity updateLicense(@RequestBody BankPermit bankPermit){
        return bankPermitService.updateLicense(bankPermit);
    }

    @GetMapping("getBankPermit")
    public ResponseEntity<BankPermit> getBankPermit(Long id){
        return bankPermitService.getBankPermit(id);
    }

}
