package cn.wise.sc.pay.pass.business.manager.controller.exhibition;

import cn.wise.sc.pay.api.exhibition.service.IExhibitionsTypeService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionTypeQuery;
import cn.wise.sc.pay.domain.exhibition.vo.ExhibitionTypeVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @description: 管理端展览类型
 * @author: qh
 * @create: 2019-12-30 11:11
 **/
@CrossOrigin
@RestController
@RequestMapping("/manage/exhibitionType")
@Api(description = "管理端展览类型")
public class ExhibitionTypeController {

    @Autowired
    IExhibitionsTypeService iExhibitionTypeService;

    @PostMapping("/new")
    @ApiOperation("新增展览类型")
    public BaseResponse addExhibitionType(ExhibitionTypeQuery exhibitionTypeQuery) {
        return iExhibitionTypeService.addExhibitionType(exhibitionTypeQuery);
    }

    @GetMapping
    @ApiOperation("获取所有展览类型(树形图)")
    public BaseResponse<List<ExhibitionTypeVO>> getExhibitionTypes() {

        return iExhibitionTypeService.getExhibitionTypes();
    }

    @DeleteMapping("/{id}")
    @ApiOperation("删除类别")
    @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "long")
    public BaseResponse delExhibitionType(@PathVariable("id") Long id) {

        return iExhibitionTypeService.delExhibitionType(id);
    }

    @PutMapping("/{id}")
    @ApiOperation("编辑类别")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "int"),
            @ApiImplicitParam(name = "exhibitionTypeQuery", value = "类别", paramType = "query", dataType = "ExhibitionTypeQuery")
    })
    public BaseResponse eidtExhibitionType(@PathVariable("id") Integer id, ExhibitionTypeQuery exhibitionTypeQuery) {

        return iExhibitionTypeService.eidtExhibitionType(id, exhibitionTypeQuery);
    }
}
