package cn.wise.sc.pay.pass.business.manager.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.IDeviceUserService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Device;
import cn.wise.sc.pay.domain.merchant.bean.DeviceUser;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/manage/merchant/device/")
@Slf4j
public class DeviceUserController {

    final
    IDeviceUserService deviceUserService;

    public DeviceUserController(IDeviceUserService deviceUserService) {
        this.deviceUserService = deviceUserService;
    }

    @GetMapping("addUsers")
    public BaseResponse addDeviceUser(@RequestParam("deviceCode") String deviceCode,@RequestParam("userId") Long userId){
      return deviceUserService.addDeviceUser(deviceCode,userId);
    }

    @GetMapping("deviceUser")
    public BaseResponse getDeviceUser(@RequestParam("deviceCode")String deviceCode,
                                      @RequestParam("userId") Integer userId){
        return deviceUserService.getDeviceUser(deviceCode,userId);
    }

    @GetMapping("getMerchDevices")
    public BaseResponse getMerchDevices(@RequestParam("merchId") Long merchId){
     return deviceUserService.getMerchDevices(merchId);
    }

}
