package cn.wise.sc.pay.pass.business.manager.controller.merchant;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.api.merchant.service.IProfitAllocationService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.merchant.bean.Merchant;
import cn.wise.sc.pay.domain.merchant.bean.ProfitAllocation;
import cn.wise.sc.pay.domain.merchant.excelvo.ProfitAllocationVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author lqk
 * @since 2019/12/26
 */
@RestController
@CrossOrigin
@RequestMapping("/manage/merchant/profit/")
@Slf4j
public class ProfitAllocationController {

    final
    IProfitAllocationService profitAllocationService;

    public ProfitAllocationController(IProfitAllocationService profitAllocationService) {
        this.profitAllocationService = profitAllocationService;
    }
    @GetMapping("{merchId}")
    public ResponseEntity getMerchProfit(@PathVariable("merchId") Long merchId) {
        return ResponseEntity.ok(profitAllocationService.getMerchProfit(merchId).getData());
    }

    @PostMapping("addOrUpdateProfit")
    public ResponseEntity addProfit(@RequestBody ProfitAllocation profit) {
        return ResponseEntity.ok(profitAllocationService.addProfit(profit).getData());
    }

    @GetMapping("pageProfit")
    public BaseResponse merchProfitPage(Long merchId, String payment, PageQuery pageQuery) {
        return profitAllocationService.merchProfitPage(merchId, payment, pageQuery.getPageNo(), pageQuery.getPageSize());
    }

    @GetMapping("getPageProfit")
    public BaseResponse getPageProfit(Long merchId, String payment, PageQuery pageQuery) {
        return profitAllocationService.getPageProfit(merchId, payment, pageQuery);
    }

    @PostMapping("addProfit")
    public BaseResponse addProfitConfig(@RequestBody List<ProfitAllocation> profits) {
        return profitAllocationService.addProfitConfig(profits);
    }

    @DeleteMapping("deleteProfit")
    public BaseResponse deleteProfit(Long id) {
        return profitAllocationService.deleteProfit(id);
    }

}
