package cn.wise.sc.pay.pass.business.manager.controller.merchant;

import cn.wise.sc.pay.api.merchant.service.ITransportationHubService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.merchant.bean.TransportationHub;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @description: 交通枢纽管理
 * @author: qh
 * @create: 2020-06-09 15:59
 **/
@Slf4j
@RestController
@CrossOrigin
@RequestMapping("/manage/merchant/transportation")
public class TransportationHubController {


    @Autowired
    ITransportationHubService iTransportationHubService;

    @PostMapping
    @ApiOperation("添加一个新的线路信息")
    public BaseResponse addTransportation(@RequestBody TransportationHub transportationHub) {
        return iTransportationHubService.create(transportationHub);
    }

    @PutMapping
    @ApiOperation("编辑线路图信息")
    public BaseResponse update(@RequestBody TransportationHub transportationHub) {
        return iTransportationHubService.update(transportationHub);
    }

    @GetMapping("/{id}")
    @ApiOperation("获取一个线路图")
    public BaseResponse getById(@PathVariable("id") Long id) {
        return iTransportationHubService.getById(id);
    }

    @GetMapping("/list")
    @ApiOperation("获取所有线路信息")
    public BaseResponse list() {
        return iTransportationHubService.list(new PageWrapperQuery());
    }

    @DeleteMapping("/{id}")
    @ApiOperation("删除线路")
    BaseResponse delById(@PathVariable("id") long id) {
        return iTransportationHubService.delById(id);
    }
}
