package cn.wise.sc.pay.paas.open.api.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.order.model.OrderResponse;
import cn.wise.sc.pay.domain.order.query.OrderDetailQuery;

import java.util.Map;

/**
 * @description: 订单
 * @author: qh
 * @create: 2019-12-04 17:10
 **/
public interface IPaasOrderService {

    BaseResponse page(PageWrapperQuery pageWrapperQuery);
    /**
     * 取消订单
     * @param orderNo 订单号
     * @return
     */
    BaseResponse cancelOrder(String orderNo);
    /**
     * 编辑订单
     * @param orderQuery 订单描述对象
     * @return
     */
    BaseResponse editOrder(OrderDetailQuery orderQuery);

    /**
     * 获取单个订单
     * @param condition 条件
     * @return
     */
    OrderResponse getOneOrder(String condition);
    /**
     * 支付订单
     *
     * @param orderNo
     * @return
     */
    BaseResponse payOrder(String orderNo);

    /**
     * 创建订单
     *
     * @param orderDetail 订单描述
     * @return
     */
    BaseResponse createOrder(OrderDetailQuery orderDetail);


    /**
     * 根据条件查询
     *
     * @param condition 条件 map集合  <field,value>
     * @return list
     */
    BaseResponse getOrders(Map<String, Object> condition);


    /**
     * 根据条件查询 分页
     *
     * @param condition 条件 map集合  <field,value>
     * @param pageQuery 分页条件
     * @return page
     */
    BaseResponse getOrdersPage(Map<String, Object> condition, PageQuery pageQuery);

    /**
     * 根据key删除
     *
     * @param orderNo   订单号儿
     * @param condition 删除条件
     * @return
     */
    BaseResponse delOrders(String orderNo, Map<String, Object> condition);

    /**
     * 获取Orderid
     *
     * @return
     */
    BaseResponse getPreOrderNo();

    BaseResponse pageSeller(int seller, int status, long start, long end, PageQuery pageQuery);
}
