package cn.wise.sc.pay.api.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.association.bean.Article;
import cn.wise.sc.pay.domain.association.query.ArticleQuery;
import cn.wise.sc.pay.domain.association.vo.ArticleVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.util.Map;

@Component
public class ArticleServiceImpl implements IArticleService {
    Logger logger = LoggerFactory.getLogger(this.getClass());

    @Override
    public BaseResponse addArticle(ArticleQuery articleQuery) {
        return BaseResponse.ok("(o x o)~ 正在开小差呢~");
    }

    @Override
    public BaseResponse uploadPic(MultipartFile file) {
        return BaseResponse.error("图片上传失败!", Map.class);
    }

    @Override
    public BaseResponse updateStatus(String ids, byte status) {
        return BaseResponse.error("审核不通过!", this.getClass());
    }

    @Override
    public BaseResponse deleteArticles(String ids, Integer status) {
        return BaseResponse.error("删除失败!", this.getClass());
    }

    @Override
    public BaseResponse updateViewNum(Long id, Long viewNum) {
        error();
        return BaseResponse.ok();
    }

    @Override
    public BaseResponse updateViewNum(Long id) {
        error();
        return BaseResponse.ok();
    }

    @Override
    public BaseResponse updatePraiseNum(Long articleId, Long userId) {
        error();
        return BaseResponse.ok();
    }

    @Override
    public BaseResponse judgePraise(Long articleId, Long userId) {
        error();
        return BaseResponse.ok(0);
    }

    @Override
    public BaseResponse deletePraise(Long id, Long userId) {
        error();
        return BaseResponse.error("删除失败！", this.getClass());
    }

    @Override
    public BaseResponse deleteRecommend(Long id) {
        error();
        return BaseResponse.error("移除推荐失败!", this.getClass());
    }

    @Override
    public BaseResponse rcommend(Long id) {
        error();
        return BaseResponse.error("推荐失败!", this.getClass());
    }

    @Override
    public BaseResponse collection(Long articleId, Long userId) {
        error();
        return BaseResponse.error("收藏失败!", this.getClass());
    }

    @Override
    public BaseResponse judgeCollection(Long articleId, Long userId) {
        error();
        return BaseResponse.ok(0);
    }

    @Override
    public BaseResponse deleteCollection(Long id, Long userId) {
        error();
        return BaseResponse.ok(1);
    }

    @Override
    public BaseResponse<ArticleVO> selectArticleById(Long id) {
        error();
        return BaseResponse.error("获取详情信息失败!", ArticleVO.class.getName());
    }

    @Override
    public BaseResponse<Page<Article>> getArticleNotVerify(String authorName, long start, long end, Integer pageNo, Integer pagesize) {
        error();
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse<Page<Article>> getArticleVerify(Integer type, String order, String name, String title, Integer pageNo, Integer pagesize) {
        error();
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse<Page<Article>> getCollectionArticle(Long userId, PageQuery pageQuery) {
        error();
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse<Page<Article>> getUserPublishArticle(Long userId, PageQuery pageQuery) {
        error();
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse<Page<Article>> getUserPraiseArticle(Long userId, PageQuery pageQuery) {
        error();
        return BaseResponse.ok(new Page<>());
    }

    @Override
    public BaseResponse previousOrNextArticle(Long articleId, Integer pon) {
        error();
        return BaseResponse.ok("已经没有下一篇了");
    }

    @Override
    public BaseResponse previousOrNextVerifyArticle(Long articleId, Integer pon) {
        error();
        return BaseResponse.ok("已经没有下一篇了");
    }

    /**
     * 服务异常
     *
     * @return
     */
    private void error() {
        logger.error("社群服务异常,请检查服务状态!");
    }
}
