package cn.wise.sc.pay.business.association.mapper;

import cn.wise.sc.pay.domain.association.bean.Article;
import cn.wise.sc.pay.domain.association.vo.AuthorArticleCountVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Mapper
public interface ArticleMapper extends BaseMapper<Article> {

    /**
     * 新增图文分享 返回主键id
     *
     * @param article
     * @return
     */
    Integer insertArticle(@Param("article") Article article);

    /**
     * 根据条件查询文章列表
     *
     * @param page
     * @param wrapper
     * @param type
     * @param status
     * @return
     */
    List<Article> articleList(Page<Article> page, @Param("ew") Wrapper<Article> wrapper, @Param("type") Integer type, @Param("status") Byte status);

    /**
     * 批量修改图文状态
     *
     * @param ids
     * @param status
     * @return
     */
    Integer updateArticleStatus(@Param("list") List<Long> ids, @Param("status") byte status);

    /**
     * 删除数据
     * @param idList
     */
    Integer deleteArticles(@Param("list") List<Long> idList);

    /**
     * 我文章的总点赞数
     * @param userId
     * @return
     */
    Integer getPraiseSum(@Param("userId") Long userId);

    /**
     * 获取作者发帖数
     * @param userIds
     * @return
     */
    List<AuthorArticleCountVO> selectUserArticles(@Param("userIds") List<Long> userIds);
}
