package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Banner;
import cn.wise.sc.pay.domain.association.query.BannerQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface IBannerService extends IService<Banner> {

    /**
     * 社群分类下拉选
     *
     * @return
     */
    BaseResponse<List<Banner>> selectList();

    /**
     * 获取人文下分类列表
     * @return
     */
    BaseResponse getRwList();
    /**
     * 社群分类导航
     *
     * @return
     */
    BaseResponse<List<Banner>> bannerList();

    /**
     * 新增社群分类
     *
     * @param banner
     * @return
     */
    BaseResponse insertBanner(BannerQuery banner);

    /**
     * 编辑社群分类名称
     *
     * @param banner
     * @return
     */
    BaseResponse updateBanner(Banner banner);

    /**
     * 社群分类上下移动排序位置
     *
     * @param tId
     * @param oId
     * @return
     */
    BaseResponse updateBannerOrder(Long tId, Long oId);

    /**
     * 删除社群分类,已使用的分类不能删除
     *
     * @param id
     * @return
     */
    BaseResponse deleteBannerById(Long id);

}
