package cn.wise.sc.pay.business.association.service;

import cn.wise.sc.pay.domain.association.bean.Concern;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-25
 */
public interface IConcernService extends IService<Concern> {

    /**
     * 添加关注
     * @param concern
     * @return
     */
    ResponseEntity addConcern(Concern concern);

    /**
     * 取消关注
     * @param meId
     * @param heId
     * @return
     */
    ResponseEntity deleteConcern(Long meId, Long heId);

    /**
     * 我的关注/粉丝列表
     * @param meId
     * @return
     */
    ResponseEntity<List<Concern>> getConcernList(Long meId,Integer type);

    /**
     * 首页数据
     * @param userId
     * @return
     */
    ResponseEntity<Map<String, Integer>> getMainData(Long userId);
}
