package cn.wise.sc.pay.business.association.service.impl;

import cn.wise.sc.pay.business.association.mapper.BlacklistMapper;
import cn.wise.sc.pay.business.association.service.IArticleService;
import cn.wise.sc.pay.business.association.service.IBlacklistService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.association.bean.Article;
import cn.wise.sc.pay.domain.association.bean.Blacklist;
import cn.wise.sc.pay.domain.association.query.BlacklistQuery;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class BlacklistServiceImpl extends ServiceImpl<BlacklistMapper, Blacklist> implements
        IBlacklistService {

    @Autowired
    IArticleService articleService;

    @Override
    public BaseResponse addBlacklist(BlacklistQuery blacklistQuery) {
        QueryWrapper<Blacklist> reWrapper = new QueryWrapper<>();
        reWrapper.eq("user_id",blacklistQuery.getUserId());
        List<Blacklist> reList = this.list(reWrapper);
        if(reList != null && reList.size() > 0){
            return BaseResponse.error("该用户已在黑名单",Blacklist.class);
        }
        QueryWrapper<Article> wrapper = new QueryWrapper<>();
        wrapper.eq("author_id",blacklistQuery.getUserId());
        List<Article> list = articleService.list(wrapper);
        int articleNum = 0;
        if(list != null && list.size() != 0){
            articleNum = list.size();
        }
        Blacklist blacklist = Blacklist.builder()
                .userId(blacklistQuery.getUserId())
                .userName(blacklistQuery.getUserName())
                .userImage(blacklistQuery.getUserImage())
                .phone(blacklistQuery.getPhone())
                .createTime(System.currentTimeMillis())
                .articleNum(articleNum)
                .build();
        boolean res = this.save(blacklist);
        return res ? BaseResponse.ok("添加成功") : BaseResponse.error("添加失败",Blacklist.class);
    }
}
