package cn.wise.sc.pay.domain.association.vo;

import cn.wise.sc.pay.domain.association.bean.ArticleSource;
import cn.wise.sc.pay.domain.association.bean.Banner;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Data
public class ArticleTestVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;
    /**
     * 作者id
     */
    private Long authorId;
    /**
     * 作者名
     */
    private String authorName;
    /**
     * 作者头像
     */
    private String authorImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 状态 0通过 1驳回
     */
    private byte status;
    /**
     * 0小图 1大图
     */
    private byte picType;
    /**
     * 点赞数
     */
    private Long praiseNum;
    /**
     * 浏览数
     */
    private Long viewNum;

    /**
     * 评论数
     */
    private Long comNum;
    /**
     * 收藏数
     */
    private Long collectNum;

    /**
     * 所属分类
     */
    private String bname;

    /**
     * 所属分类
     */
    private List<Banner> banners;

    /**
     * 封面图
     */
    private String coverImage;

    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 图片资源
     */
    private List<ArticleSource> articleSources;
    /**
     * 图文类别 0图文 1文章
     */
    private byte type;
    /**
     * 发布地址
     */
    private String address;

}
