package cn.wise.sc.pay.domain.association.vo;

import cn.wise.sc.pay.domain.association.bean.Article;
import cn.wise.sc.pay.domain.association.bean.ArticleSource;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @ClassName ArticleVO
 * @Author Administrator
 * @Date 2019/11/20
 * @Version V1.0
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ArticleVO {

    /**
     * id
     */
    private Long id;
    /**
     * 作者id
     */
    private Long authorId;
    /**
     * 作者名
     */
    private String authorName;
    /**
     * 作者头像
     */
    private String authorImage;
    /**
     * 标题
     */
    private String title;
    /**
     * 内容
     */
    private String content;
    /**
     * 状态 0通过 1驳回
     */
    private Byte status;
    /**
     * 点赞数
     */
    private Long praiseNum;
    /**
     * 浏览数
     */
    private Long viewNum;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 图片类型 0小图 1大图
     */
    private Byte picType;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 评论数
     */
    private Long comNum;
    /**
     * 所属类别
     */
    private String bname;

    /**
     * 封面图
     */
    private String coverImage;

    /**
     * 0图文 1文章
     */
    private Byte type;

    /**
     * 发帖地址
     */
    private String address;
    /**
     * 收藏数
     */
    private Long collectNum;

    /**
     * 图片资源
     */
    private List<ArticleSource> articleSources;

    public ArticleVO(Article article){
        this.setId(article.getId());
        this.setAuthorId(article.getAuthorId());
        this.setAuthorName(article.getAuthorName());
        this.setAuthorImage(article.getAuthorImage());
        this.setTitle(article.getTitle());
        this.setContent(article.getContent());
        this.setStatus(article.getStatus());
        this.setPicType(article.getPicType());
        this.setPraiseNum(article.getPraiseNum());
        this.setViewNum(article.getViewNum());
        this.setComNum(article.getComNum());
        this.setBname(article.getBname());
        this.setCollectNum(article.getCollectNum());
        this.setCoverImage(article.getCoverImage());
        this.setCreateTime(article.getCreateTime());
        this.setUpdateTime(article.getUpdateTime());
        this.setType(article.getType());
        this.setAddress(article.getAddress());
        this.setArticleSources(article.getArticleSources());
    }
}
