package cn.wise.sc.pay.api.cashier.service.impl;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * @author qh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsSpecExcel {

    @ExcelProperty(value = "商品名称", index = 0)
    private String goodsName;
    /**
     * 商品编号
     */
    @ExcelProperty(value = "商品编号", index = 1)
    private String sn;
    /**
     * 品牌名称
     */
    @ExcelProperty(value = "品牌选择", index = 2)
    private String brandName;

    /**
     * 分类id
     */
    @ExcelProperty(value = "分类选择", index = 3)
    private String categoryName;
    /**
     * 重量
     */
    @ExcelProperty(value = "重量", index = 4)
    private Double weight;

    /**
     * 详情
     */
    @ExcelProperty(value = "商品描述", index = 5)
    private String intro;
    /**
     * 商品价格
     */
    @ExcelProperty(value = "商品价格", index = 6)
    private Double price;
    /**
     * 成本价格
     */
    @ExcelProperty(value = "商品成本", index = 7)
    private Double cost;
    /**
     * 市场价格
     */
    @ExcelProperty(value = "商品市场价格", index = 8)
    private Double mktprice;
    /**
     * 是否有规格0没有 1有
     */
    @ExcelProperty(value = "商品库存", index = 9)
    private Integer quantity;
    /**
     * 图片
     */
    @ExcelProperty(value = "图片", index = 10)
    private String path;

    /**
     * 谁承担运费0：买家承担，1：卖家承担
     */
    @ExcelProperty(value = "运费选择", index = 11)
    private String goodsTransfeeCharge;

    /**
     * 运费模板id
     */
    @ExcelProperty(value = "运费模板", index = 12)
    private String templateName;

    /**
     * 商品规格 0无 1有
     */
    @ExcelProperty(value = "规格选择", index = 13)
    private String havaSpec;

    /**
     * 主体规格名称
     */
    @ExcelProperty(value = "规格名称", index = 14)
    private String name;
    /**
     * 规格详细
     */
    @ExcelProperty(value = "规格详细名称", index = 15)
    private String descr;

    /**
     * 售价
     */
    @ExcelProperty(value = "当前规格商品价格", index = 16)
    private double specPrice;

    /**
     * 库存
     */
    @ExcelProperty(value = "当前规格商品库存", index = 17)
    private Integer store;

    /**
     * 重量
     */
    @ExcelProperty(value = "当前规格商品重量", index = 18)
    private Double specWeight;

    /**
     * 条形码
     */
    @ExcelProperty(value = "条形码", index = 19)
    private String code;

}
