package cn.wise.sc.pay.api.eshopping.service.hystrix;

import cn.wise.sc.pay.api.eshopping.service.IEshopBrandService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopBrandQuery;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import javax.validation.constraints.DecimalMin;

/**
 * 
 */
@Component
public class EshopBrandServiceImpl implements IEshopBrandService {

    Logger logger = LoggerFactory.getLogger(this.getClass());

    /**
     * 服务异常
     *
     * @return
     */
    private void error() {
        logger.error("商品品牌服务异常,请检查服务状态!");
    }

    @Override
    public BaseResponse addBrand(@Valid EshopBrandQuery eshopBrand) {
        error();
        return BaseResponse.error("操作失败!",this.getClass().getName());
    }

    @Override
    public BaseResponse updateBrand(@Valid EshopBrandQuery eshopBrand) {
        error();
        return BaseResponse.error("操作失败!",this.getClass().getName());
    }

    @Override
    public BaseResponse brandPage(String name, @DecimalMin("0") Integer pageNo, Integer pageSize) {
        error();
        return BaseResponse.error("操作失败!",this.getClass().getName());
    }

    @Override
    public BaseResponse deleteBrand(@DecimalMin("0") Integer id) {
        error();
        return BaseResponse.error("操作失败!",this.getClass().getName());
    }
}
