package cn.wise.sc.pay.business.eshopping.controller;

import cn.wise.sc.pay.business.eshopping.service.IEshopRegionsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(tags = "省市地区")
@RequestMapping("/eshop/region")
@CrossOrigin
public class EshopRegionsController {

    final
    IEshopRegionsService eshopRegionsService;

    public EshopRegionsController(IEshopRegionsService eshopRegionsService) {
        this.eshopRegionsService = eshopRegionsService;
    }

    @GetMapping("regionsTree")
    public BaseResponse goodsTypeTree(){
        return eshopRegionsService.getRegionsTree();
    }

    @GetMapping("/regionList")
    public BaseResponse regionList(Integer parentId){
        if(parentId == null){
            return BaseResponse.error("参数错误",EshopRegionsController.class.getName());
        }
        return eshopRegionsService.getRegionList(parentId);
    }
}

