package cn.wise.sc.pay.business.eshopping.controller;

import cn.wise.sc.pay.business.eshopping.service.IReceiveAddressService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.EshopBrand;
import cn.wise.sc.pay.domain.eshopping.model.bean.ReceiveAddress;
import cn.wise.sc.pay.domain.eshopping.model.query.EshopBrandQuery;
import cn.wise.sc.pay.domain.eshopping.model.query.ReceiveAddressQuery;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@RestController
@Api(tags = "收获地址管理")
@RequestMapping("/eshop/address")
@CrossOrigin
public class ReceiveAddressController {

    final
    IReceiveAddressService receiveAddressService;

    public ReceiveAddressController(IReceiveAddressService receiveAddressService) {
        this.receiveAddressService = receiveAddressService;
    }

    @PostMapping
    public BaseResponse receiveAddress(@RequestBody ReceiveAddressQuery addressQuery){
        return receiveAddressService.receiveAddress(addressQuery);
    }

    @PutMapping
    public BaseResponse updateAddress(@RequestBody ReceiveAddressQuery addressQuery){
        if(addressQuery.getAddrId() == null){
            return BaseResponse.error("id为空",EshopBrand.class);
        }
        return receiveAddressService.updateAddress(addressQuery);
    }

    @GetMapping("/addressList")
    public BaseResponse addressList(Integer userId){
        if(userId == null){
            return BaseResponse.error("参数错误", ReceiveAddress.class);
        }
        return receiveAddressService.addressList(userId);
    }

    @DeleteMapping
    public BaseResponse deleteBrand(Integer addressId){
        if(addressId == null){
            return BaseResponse.error("参数错误",ReceiveAddress.class);
        }
        UpdateWrapper wrapper = new UpdateWrapper();
        wrapper.eq("addr_id",addressId);
        return BaseResponse.ok(receiveAddressService.remove(wrapper));
    }
}

