package cn.wise.sc.pay.business.eshopping.service.impl;

import cn.wise.sc.pay.business.eshopping.mapper.RegionsMapper;
import cn.wise.sc.pay.business.eshopping.service.IEshopRegionsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.eshopping.model.bean.Regions;
import cn.wise.sc.pay.domain.eshopping.model.vo.RegionVO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
@Service
public class EshopRegionsServiceImpl extends ServiceImpl<RegionsMapper, Regions> implements IEshopRegionsService {

    @Override
    public BaseResponse getRegionsTree() {
        List<Regions> regionsList = this.list();
        List<RegionVO> voList = new ArrayList<>();
        List<RegionVO> result = new ArrayList<>();
        regionsList.stream().forEach(arg->{
            RegionVO regionVO = arg.toVo();
            voList.add(regionVO);
            if(regionVO.getParentId() == 0) {
                result.add(regionVO);
            }
        });
        for (RegionVO regionVO : result) {
            List<RegionVO> children = regionVO.getChildren();
            int regionId = regionVO.getId();
            for (RegionVO regionVO1 : voList){
                if(regionId == regionVO1.getParentId()){
                    children.add(regionVO1);
                }
            }
        }
        return BaseResponse.ok(result);
    }

    @Override
    public BaseResponse getRegionList(Integer parentId) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("parent_id",parentId);
        List<Regions> result = this.list(wrapper);
        return BaseResponse.ok(result);
    }
}
