package cn.wise.sc.pay.domain.eshopping.model.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @description: 主体规格
 * @author: qh
 * @create: 2019-12-03 10:46
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Specification extends Model<Specification> {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 主体规格名称
     */
    private String name;
    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 状态 0:不可用 1:可用
     */
    private Integer status;

    /**
     * 规格详细
     */
    private String descr;

    /**
     * 售价
     */
    private double price;

    /**
     * 库存
     */
    private Integer store;

    /**
     * 重量
     */
    private Double weight;

    /**
     * 版本
     */
    private Integer version;
}
