package cn.wise.sc.pay.domain.eshopping.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Validated
@ApiModel
public class EshopTypeQuery implements Serializable {

    private static final long serialVersionUID = -5060474287302485973L;
    /**
     * 商品分类
     */
    @ApiModelProperty(value = "分类主键")
    private Integer typeId;

    /**
     * 商品分类名称
     */
    @NotBlank(message = "分类名称不能为空")
    @ApiModelProperty(value = "分类名称")
    private String typeName;

    /**
     * 上级分类id
     */
    @NotNull
    @ApiModelProperty(value = "分类父id")
    private Integer parentId;

//    @NotBlank
    @ApiModelProperty(value = "分类图标")
    private String icon;

    /**
     * 排序号
     */
    private Integer sortNo;

}
