package cn.wise.sc.pay.domain.eshopping.model.vo;

import cn.wise.sc.pay.domain.eshopping.model.bean.Specification;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 16:22
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecificationVO implements Serializable {

    private static final long serialVersionUID = 3165185404694349273L;

    private Long id;

    /**
     * 主体规格名称
     */
    private String name;
    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 状态 0:不可用 1:可用
     */
    private Integer status;

    /**
     * 规格详细
     */
    private String descr;

    /**
     * 售价
     */
    private double price;

    /**
     * 库存
     */
    private Integer store;

    /**
     * 重量
     */
    private Double weight;

    /**
     * 版本
     */
    private Integer version;

    public static SpecificationVO toVO(Specification specification) {
        SpecificationVO vo = new SpecificationVO(specification.getId(),specification.getName(),
                specification.getGoodsId(),specification.getStatus(),
                specification.getDescr(),specification.getPrice(),
                specification.getStore(),specification.getWeight(),specification.getVersion());
        return vo;
    }
}
