package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.query.GoodsQuery;
import cn.wise.sc.pay.domain.order.query.OrderDetailQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 展览模块得订单
 * @author: qh
 * @create: 2019-12-30 11:23
 **/
@FeignClient(value = "saas-v1-exhibition", path = "/order", fallback = IExhibitionOrderServiceImpl.class)
public interface IExhibitionOrderService {

    @PostMapping
    BaseResponse preOrder(@RequestBody OrderDetailQuery<GoodsQuery> orderQuery);

    @GetMapping("/status/{orderNo}")
    BaseResponse getOrderStatus(@PathVariable("orderNo") String orderNo);

    @GetMapping("/preOderNo")
    BaseResponse getPreOrderNo();

    @PostMapping("/prePay")
    BaseResponse prePayOrder(@RequestParam("orderNo") String orderNo);

    @PostMapping("/pay/success")
    BaseResponse payOrderSuccess(@RequestParam("orderNo") String orderNo);

    @PostMapping("/pay/fail")
    BaseResponse payOrderFail(@RequestParam("orderNo") String orderNo);

}
