package cn.wise.sc.pay.api.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionTypeQuery;
import cn.wise.sc.pay.domain.exhibition.vo.ExhibitionTypeVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @description: 展览类型接口
 * @author: qh
 * @create: 2019-12-30 10:36
 **/
@FeignClient(value = "saas-v1-exhibition", path = "/exhibitionType", fallback = ExhibitionsTypeServiceImpl.class)
public interface IExhibitionsTypeService {

    @PostMapping("/new")
    BaseResponse addExhibitionType(@RequestBody ExhibitionTypeQuery exhibitionTypeQuery);

    @GetMapping
    BaseResponse<List<ExhibitionTypeVO>> getExhibitionTypes();

    @DeleteMapping("/{id}")
    BaseResponse delExhibitionType(@PathVariable("id") Long id);

    @PutMapping("/{id}")
    BaseResponse eidtExhibitionType(@PathVariable("id") Integer id, @SpringQueryMap ExhibitionTypeQuery exhibitionTypeQuery);
}
