package cn.wise.sc.pay.business.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.bean.EntranceQrcode;
import cn.wise.sc.pay.domain.exhibition.query.QRCodeGiftQuery;
import cn.wise.sc.pay.domain.exhibition.vo.RQCodeInfoVo;
import cn.wise.sc.pay.domain.order.model.Orders;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 入场二维码 服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-21
 */
public interface IEntranceQRcodeService extends IService<EntranceQrcode> {

    /**
     * 获取入场二维码
     *
     * @param order
     * @return
     */
    BaseResponse getQRCode(Orders order);

    /**
     * 扫描入场二维码
     *
     * @param enQRCode
     * @return
     */
    BaseResponse scanEntranceQRcode(String enQRCode);


    /**
     * 获取用户的所有入场二维码
     *
     * @param userId 用户id
     * @return 二维码集合
     */
    BaseResponse<List<RQCodeInfoVo>> getQRCodeInfoPo(String userId);

    /**
     * 赠与票据
     *
     * @param qrCodeGiftQuery 票据赠与请求对象 {@link QRCodeGiftQuery }
     * @return 返回
     */
    BaseResponse<EntranceQrcode> shareQRCode(QRCodeGiftQuery qrCodeGiftQuery);
}
