package cn.wise.sc.pay.business.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.TimeBucket;
import cn.wise.sc.pay.domain.exhibition.bean.Exhibition;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionQuery;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.exhibition.vo.TicketVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
public interface IExhibitionService extends IService<Exhibition> {

    /**
     * 获取当前展览库存
     * @param id 展览id
     * @return
     */
    BaseResponse getExhibitionStore(Long id);

    /**
     * 更新库存
     * @param ticketVOS 票据对象
     * @return
     */
    BaseResponse updateStore(List<TicketVO> ticketVOS);

    /**
     * 新增展览 v2.0
     * @param exhibitionQuery
     * @return
     */
    BaseResponse addExhibition(ExhibitionQuery exhibitionQuery);
    /**
     * 设置 推荐/上新
     * @param id
     * @param type
     * @return
     */
    BaseResponse editShowType(Long id, Integer type);

    /**
     * (条件)查询所有展览
     * @param type
     * @param showType
     * @param timeBucket
     * @return
     */
    BaseResponse getExhibitionList(String type, Integer showType, TimeBucket timeBucket);

    /**
     * (条件)查询分页
     * @return
     */
    BaseResponse getExhibitionPage(PageWrapperQuery pageQuery);

    /**
     * 更具id获取详细信息
     * @param id
     * @return
     */
    BaseResponse getExhibitionDetail(long id);

    /**获取广告位
     * @return
     */
    BaseResponse getAdvertising();

    /**
     * 删除展览
     * @param id
     * @return
     */
    BaseResponse delById(Integer id);

    /**
     * 编辑展览
     * @param exhibitionQuery
     * @return
     */
    BaseResponse updateExhibition(ExhibitionQuery exhibitionQuery);
}
