package cn.wise.sc.pay.business.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.bean.ExhibitionStore;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
public interface IExhibitionStoreService extends IService<ExhibitionStore> {

    /**
     * 获取票据库存
     *
     * @param ticketId 票据id
     * @return
     */
    ExhibitionStore getStoreByTicketId(Long ticketId);

    /**
     * 新增库存
     *
     * @param ticketId 票据id
     * @param quantity    库存
     * @return
     */
    BaseResponse<ExhibitionStore> newStore(Long ticketId, Integer quantity);

    /**
     * 添加库存
     *
     * @param ticketId 票据id
     * @param quantity 库存
     * @return
     */
    BaseResponse<ExhibitionStore> addStore(Long ticketId, Integer quantity);

    /**
     * 减少库存
     *
     * @param ticketId 票据id
     * @param quantity 库存
     * @return
     */
    BaseResponse<ExhibitionStore> decreaseStore(Long ticketId, Integer quantity);

    /**
     * 同步库存
     *
     * @param ticketId 票据id
     * @return
     */
    BaseResponse<ExhibitionStore> saveDB(Long ticketId);
}
