package cn.wise.sc.pay.business.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.bean.ExhibitionType;
import cn.wise.sc.pay.domain.exhibition.query.ExhibitionTypeQuery;
import cn.wise.sc.pay.domain.exhibition.vo.ExhibitionTypeVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-18
 */
public interface IExhibitionTypeService extends IService<ExhibitionType> {

    /**
     * 新增一个展览类型
     * @param exhibitionTypeQuery
     * @return
     */
    BaseResponse insertExhibitionType(ExhibitionTypeQuery exhibitionTypeQuery);

    /**
     * 获取所有类型树状图
     * @return
     */
    BaseResponse<List<ExhibitionTypeVO>> selectExhibitionTypes();

    /**
     * 根据id删除
     * @param id
     * @return
     */
    BaseResponse delById(Long id);

    /**
     * 根据id编辑
     * @param id
     * @param exhibitionTypeQuery
     * @return
     */
    BaseResponse eidtExhibitionType(Integer id, ExhibitionTypeQuery exhibitionTypeQuery);
}
