package cn.wise.sc.pay.business.exhibition.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.exhibition.bean.Order;
import cn.wise.sc.pay.domain.exhibition.query.GoodsQuery;
import cn.wise.sc.pay.domain.order.model.Orders;
import cn.wise.sc.pay.domain.order.query.OrderDetailQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 订单类 服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-22
 */
public interface IOrderService extends IService<Order> {

    /**
     * 下单方法
     * @param orderQuery
     * @return
     */
    BaseResponse<Orders> placeOrder(OrderDetailQuery<GoodsQuery> orderQuery);

    /**
     * 支付订单
     * @param orderNo
     * @return
     */
    BaseResponse<Orders> payOrder(String orderNo);

    /**
     * 支付成功后
     * @param order
     * @return
     */
    BaseResponse payOrderSuccess(Orders order);

    /**
     * 支付失败后
     * @param orderNo
     */
    void payOrderFail(String orderNo);

    /**
     * 查询订单状态
     * @param orderNo
     * @return
     */
    BaseResponse<Orders> getOrderStatus(String orderNo);

    /**
     * 获取预下单
     * @return
     */
    BaseResponse getPreOrderNo();
}
