package cn.wise.sc.pay.domain.exhibition.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-26
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EntranceLog extends Model<EntranceLog> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 活动id(此处是展览)
     */
    private Long associationId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 入场二维码id
     */
    @TableField("QRcode_id")
    private Long qrcodeId;
    /**
     * 入场时间
     */
    private Long createTime;
    /**
     * 票据类型
     */
    private String ticketType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAssociationId() {
        return associationId;
    }

    public void setAssociationId(Long associationId) {
        this.associationId = associationId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getQrcodeId() {
        return qrcodeId;
    }

    public void setQrcodeId(Long qrcodeId) {
        this.qrcodeId = qrcodeId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getTicketType() {
        return ticketType;
    }

    public void setTicketType(String ticketType) {
        this.ticketType = ticketType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "EntranceLog{" +
        ", id=" + id +
        ", associationId=" + associationId +
        ", userId=" + userId +
        ", qrcodeId=" + qrcodeId +
        ", createTime=" + createTime +
        ", ticketType=" + ticketType +
        "}";
    }
}
