package cn.wise.sc.pay.domain.exhibition.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 订单类
 * </p>
 *
 * @author qh
 * @since 2019-11-22
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("`order`")
public class Order extends Model<Order> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 订单id
     */
    private String tradeNo;
    /**
     * 展览id
     */
    private Long exhibitionId;
    /**
     * 商品信息
     */
    private String commodity;
    /**
     * 订单状态
     */
    private String orderStatus;
    /**
     * 支付状态
     */
    private String payStatus;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 电话
     */
    private String userPhone;
    /**
     * 总价
     */
    private Double totalPrice;
    /**
     * 支付价格
     */
    private Double payPrice;
    /**
     * 用户真实姓名
     */
    private String userName;
    /**
     * 支付方法
     */
    private String paymentMethodName;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public Long getExhibitionId() {
        return exhibitionId;
    }

    public void setExhibitionId(Long exhibitionId) {
        this.exhibitionId = exhibitionId;
    }

    public String getCommodity() {
        return commodity;
    }

    public void setCommodity(String commodity) {
        this.commodity = commodity;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Double getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(Double payPrice) {
        this.payPrice = payPrice;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPaymentMethodName() {
        return paymentMethodName;
    }

    public void setPaymentMethodName(String paymentMethodName) {
        this.paymentMethodName = paymentMethodName;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Order{" +
        ", id=" + id +
        ", tradeNo=" + tradeNo +
        ", exhibitionId=" + exhibitionId +
        ", commodity=" + commodity +
        ", orderStatus=" + orderStatus +
        ", payStatus=" + payStatus +
        ", userId=" + userId +
        ", userPhone=" + userPhone +
        ", totalPrice=" + totalPrice +
        ", payPrice=" + payPrice +
        ", userName=" + userName +
        ", paymentMethodName=" + paymentMethodName +
        "}";
    }
}
