package cn.wise.sc.pay.domain.exhibition.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author qh
 * @since 2019-11-21
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Ticket extends Model<Ticket> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 票名
     */
    private String name;
    /**
     * 优惠价
     */
    private Double discountPrice;
    /**
     * 原价
     */
    private Double price;
    /**
     * 票类型(SINGLE:单日 COUPON:联票)
     */
    private String type;
    /**
     * 关联id
     */
    private Long associationId;
    /**
     * 活动类型(EXHIBITION:展览)
     */
    private String activityType;

    /**
     * 有效期 开始
     */
    private Long startTime;

    /**
     * 有效时间 结束
     */
    private Long endTime;


    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }
    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(Double discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getAssociationId() {
        return associationId;
    }

    public void setAssociationId(Long associationId) {
        this.associationId = associationId;
    }

    public String getActivityType() {
        return activityType;
    }

    public void setActivityType(String activityType) {
        this.activityType = activityType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Ticket{" +
        ", id=" + id +
        ", name=" + name +
        ", discountPrice=" + discountPrice +
        ", price=" + price +
        ", type=" + type +
        ", associationId=" + associationId +
        ", activityType=" + activityType +
        "}";
    }
}
