package cn.wise.sc.pay.domain.exhibition.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-19 13:58
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExhibitionQuery  implements Serializable {

    private static final long serialVersionUID = 722591025063776125L;

    private Long id;
    /**
     * 类型 用/分割
     */
    private String type;

    /**
     * 标题
     */
    private String title;

    /**
     * 头像url
     */
    private String cover;
    /**
     * 头像url
     */
    private String advertisingCover;
    /**
     * 标签 用,隔开 不区分半角
     */
    private String tag;

    /**
     * 原价
     */
    private Double price;

    /**
     * 折扣价
     */
    private Double discounPrice;

    /**
     * 总发行
     */
    private Integer totalPublish;

    /**
     * 单人限购 0:不限制(默认)
     */
    private Integer singleSold = 0;

    /**
     * 场次
     */
    private List<ExhibitionGroundQuery> exhibitionGroundQueries;

    /**
     * 退款比例
     */
    private Double refundRate;

    /**
     * 地址
     */
    private String address;

    /**
     * 单人参与类型  0:单人单次(默认)  1:单人多次
     */
    private Integer singleType = 0;

    /**
     * 是否开启广告位 0:默认不开启 1:开启
     */
    private Integer advertisingType = 0;

    /**
     * 详情
     */
    private String describe;

    /**
     * 购票须知
     */
    private List<TicketNoticeQuery> ticketNoticesQuerys;

    private List<TicketQuery> ticketQueries;
}
