package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.BusinessLicenseImpl;
import cn.wise.sc.pay.domain.merchant.bean.BusinessLicense;
import cn.wise.sc.pay.domain.merchant.query.BusinessLicenseQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/license/", fallback = BusinessLicenseImpl.class)
public interface IBusinessLicenseService {

    @PostMapping("addLicense")
    public ResponseEntity addBusinessLicense(@RequestBody BusinessLicenseQuery licenseQuery);

    @PutMapping("updateLicense")
    public ResponseEntity updateLicense(@RequestBody BusinessLicense license);

    @GetMapping("getLicenseInfo")
    public ResponseEntity<BusinessLicense> getMerchantPage(@RequestParam("id") Long id);
}
