package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.InstitutionServiceImpl;
import cn.wise.sc.pay.domain.merchant.bean.Institution;
import cn.wise.sc.pay.domain.merchant.query.InstitutionQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/institution/", fallback = InstitutionServiceImpl.class)
public interface IInstitutionService {


    @PostMapping("addInstitution")
    public ResponseEntity addInstitution(@RequestBody InstitutionQuery query);

    @PutMapping("updateInstitution")
    public ResponseEntity updateLicense(@RequestBody Institution institution);

    @GetMapping("getInstitution")
    public ResponseEntity<Institution> getInstitution(@RequestParam("id") Long id);
}
