package cn.wise.sc.pay.api.merchant.service;

import cn.wise.sc.pay.api.merchant.service.hystrix.StoreServiceImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.query.StoreQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "saas-v1-merchant", path = "/merchant/store", fallback = StoreServiceImpl.class)
public interface IStoreService {



    @PostMapping(path = "/add")
    BaseResponse addStore(@RequestBody StoreQuery storeQuery);


    @GetMapping(path = "/{id}")
    BaseResponse selectStore(@PathVariable(value = "id") Long id);

    @PutMapping("/update")
    BaseResponse updateStore(@RequestBody StoreQuery storeQuery);

    @PutMapping("/category/label")
    BaseResponse updateBusinessCategory(@RequestParam("categoryIds") String categoryIds, @RequestParam("labelIds") String labelIds,
                                        @RequestParam("storeId") Long storeId);


}
