package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.IBusinessLicenseService;
import cn.wise.sc.pay.domain.merchant.bean.BusinessLicense;
import cn.wise.sc.pay.domain.merchant.query.BusinessLicenseQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/license/")
@Slf4j
public class BusinessLicenseController {

    @Autowired
    IBusinessLicenseService businessLicenseService;

    @Autowired
    private Environment environment;

    @PostMapping("addLicense")
    public ResponseEntity addBusinessLicense(@RequestBody BusinessLicenseQuery licenseQuery) {
        if(licenseQuery.getMerchantId() == null){
            return ResponseEntity.badRequest().body("商户id为空");
        }
        return businessLicenseService.insertBusinessLicense(licenseQuery);
    }

    @PutMapping("updateLicense")
    public ResponseEntity updateLicense(@RequestBody BusinessLicense license){
        if(license.getId() == null){
            return ResponseEntity.badRequest().body("参数错误");
        }
        return businessLicenseService.updateLicense(license);
    }

    @GetMapping("getLicenseInfo")
    public ResponseEntity<BusinessLicense> getMerchantPage(Long id){
        BusinessLicense businessLicense = businessLicenseService.getById(id);
        String host = environment.getProperty("fdfs.imgaddress");
        businessLicense.setProveImage(host + businessLicense.getProveImage());
        businessLicense.setLicenseImage(host + businessLicense.getLicenseImage());
        return ResponseEntity.ok(businessLicense);
    }
}
