package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.ICategoryService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Category;
import cn.wise.sc.pay.domain.merchant.query.CategoryQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/category/")
@Slf4j
public class CategoryController {

    @Autowired
    ICategoryService categoryService;

    @GetMapping("getCategorys")
    public BaseResponse getCategorys(){
        return categoryService.getCategorys();
    }

    @PostMapping("addCategory")
    public BaseResponse addCategory(@RequestBody CategoryQuery categoryQuery) {
        if(categoryQuery.getName() == null){
            return BaseResponse.error("分类名称为空",Category.class);
        }
        return categoryService.insertCategory(categoryQuery);
    }

    @PutMapping("updateCategory")
    public BaseResponse updateCategory(@RequestBody Category category){
        if(category.getId() == null){
            return BaseResponse.error("参数错误",Category.class);
        }
        return categoryService.updateCategory(category);
    }

    @DeleteMapping("deleteCategory")
    public BaseResponse deleteCategory(Long id){
        if(id == null){
            BaseResponse.error("参数错误",Category.class);
        }
        return categoryService.deleteById(id);
    }

}
