package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.IDeviceService;
import cn.wise.sc.pay.business.merchant.service.IDeviceUserService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Device;
import cn.wise.sc.pay.domain.merchant.bean.DeviceUser;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/device/")
@Slf4j
public class DeviceUserController {

    @Autowired
    IDeviceUserService deviceUserService;

    @Autowired
    IDeviceService deviceService;

    @GetMapping("addUsers")
    public BaseResponse addDeviceUser(@RequestParam("deviceCode") String deviceCode,@RequestParam("userId") Long userId){
        if(StringUtils.isNotBlank(deviceCode)){
            List<DeviceUser> users = new ArrayList<>();
            String[] devices = deviceCode.split(",");
            for (String device : devices) {
                DeviceUser user = DeviceUser.builder()
                        .userId(userId)
                        .deviceCode(device)
                        .build();
                users.add(user);
            }
            if(users != null && users.size() > 0){
                boolean result = deviceUserService.saveBatch(users);
                return BaseResponse.ok(result);
            }
        }
        return BaseResponse.ok(false);
    }

    @GetMapping("deviceUser")
    public BaseResponse getDeviceUser(@RequestParam("deviceCode")String deviceCode,
                                      @RequestParam("userId") Integer userId){
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("device_code",deviceCode);
        wrapper.eq("user_id",userId);
        wrapper.last("limit 1");
        DeviceUser userDevice = deviceUserService.getOne(wrapper);
        if (userDevice != null){
            QueryWrapper wrap = new QueryWrapper();
            wrap.eq("device_code",deviceCode);
            wrap.last("limit 1");
            Device device = deviceService.getOne(wrap);
            return device != null ? BaseResponse.ok(device) : BaseResponse.ok(null);
        }
        return BaseResponse.ok(new Device());
    }

    @GetMapping("getMerchDevices")
    public BaseResponse getMerchDevices(@RequestParam("merchId") Long merchId){
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("merch_id", merchId);
        List<Device> list = deviceService.list(wrapper);
        if(list != null && list.size() > 0){
            return BaseResponse.ok(list, Device.class);
        }else{
            return BaseResponse.ok(new ArrayList<>(),Device.class);
        }
    }

}
