package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.IInstitutionService;
import cn.wise.sc.pay.domain.merchant.bean.Institution;
import cn.wise.sc.pay.domain.merchant.query.InstitutionQuery;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/institution/")
@Slf4j
public class InstitutionController {

    @Autowired
    IInstitutionService institutionService;

    @Autowired
    private Environment environment;

    @PostMapping("addInstitution")
    public ResponseEntity addInstitution(@RequestBody InstitutionQuery query) {
        if(query.getMerchantId() == null){
            return ResponseEntity.badRequest().body("商户id为空");
        }
        return institutionService.insertInstitution(query);
    }

    @PutMapping("updateInstitution")
    public ResponseEntity updateLicense(@RequestBody Institution institution){
        if(institution.getId() == null){
            return ResponseEntity.badRequest().body("参数错误");
        }
        return institutionService.updateInstitution(institution);
    }

    @GetMapping("getInstitution")
    public ResponseEntity<Institution> getInstitution(Long id){
        Institution institution = institutionService.getById(id);
        String url = environment.getProperty("fdfs.imgaddress");
        institution.setInstCertificate(url + institution.getInstCertificate());
        return ResponseEntity.ok(institution);
    }
}
