package cn.wise.sc.pay.business.merchant.controller;

import cn.wise.sc.pay.business.merchant.service.ILabelService;
import cn.wise.sc.pay.domain.merchant.bean.Label;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author neo.shu
 * @since 2019/10/08 09:09
 */
@RestController
@CrossOrigin
@RequestMapping("/merchant/label/")
@Slf4j
public class LabelController {

    @Autowired
    ILabelService labelService;

    @PostMapping("addLabel")
    public ResponseEntity addCategory(String name) {
        if(name == null){
            return ResponseEntity.badRequest().body("标签名称为空");
        }
        return labelService.insertLabel(name);
    }

    @PutMapping("updateLabel")
    public ResponseEntity updateLabel(@RequestBody Label label){
        if(label.getId() == null){
            return ResponseEntity.badRequest().body("参数错误");
        }
        return labelService.updateLabel(label);
    }

    @DeleteMapping("deleteLabel")
    public ResponseEntity deleteCategory(Long id){
        if(id == null){
            ResponseEntity.badRequest().body("参数错误");
        }
        return labelService.deleteById(id);
    }

}
