package cn.wise.sc.pay.business.merchant.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.merchant.bean.Category;
import cn.wise.sc.pay.domain.merchant.query.CategoryQuery;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lqk
 * @since 2019-11-19
 */
public interface ICategoryService extends IService<Category> {


    /**
     * 新增分类
     * @param categoryQuery
     * @return
     */
    BaseResponse insertCategory(CategoryQuery categoryQuery);

    /**
     * 修改分类
     * @param category
     * @return
     */
    BaseResponse updateCategory(Category category);

    /**
     * 删除商铺分类
     * @param id
     * @return
     */
    BaseResponse deleteById(Long id);

    /**
     * 获取分类树
     * @return
     */
    BaseResponse getCategorys();

}
