package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 商户折扣表
 * @author: qh
 * @create: 2020-09-07 09:36
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("merchant_discount")
public class MerchDiscount extends Model<MerchDiscount> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 折扣
     */
    private String discountStr;

    /**
     * 商户id
     */
    private Long sellerId;

    /**
     * 折扣配置类
     *   id: 编号
     *   discount: 具体折扣
     */
    @Data
    public static class DiscountSetting{

        private String id;

        private Double discount;
    }

}
