package cn.wise.sc.pay.domain.merchant.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "store")
public class Store extends Model<Store> {

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @TableId(type = IdType.AUTO,value = "id")
    private Long id;
    /**
     * 商户id
     */
    private Long merchId;
    /**
     * 店铺名字
     */
    private String name;
    /**
     * 店铺地址
     */
    private String address;
    /**
     * 店铺所在地
     */
    private String area;
    /**
     * 佣金比例
     */
    private Double commissionRate;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 店铺创建时间
     */
    private Long createTime;
    /**
     * 店铺删除标记  0 正常 ， 1 删除
     */
    @TableLogic(value = "0",delval = "1")
    private Integer delStatus;
    /**
     * 店铺状态  0 营业中， 1 已关闭
     */
    private Integer manageStatus;
    /**
     * 关店理由
     */
    private String closeReason;

    /**
     * 详情
     */
    private String details;
}
