package cn.wise.sc.pay.domain.merchant.query;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @ClassName Merchant
 * @Description :商户开户行相关信息
 * @Author lqk
 * @Date 2019/12/17
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class BankPermitQuery extends Model<BankPermitQuery> {

    private static final long serialVersionUID = 1L;

    /**
     * 商户id
     */
    @ApiModelProperty("")
    private Long merchantId;
    /**
     * 开户行名称
     */
    @ApiModelProperty("商户id")
    private String bankName;
    /**
     * 商户在开户行账号
     */
    @ApiModelProperty("开户行名称")
    private String bankCount;
    /**
     * 开户支行名称
     */
    @ApiModelProperty("商户在开户行账号")
    private String infoName;
    /**
     * 开户支行所在地
     */
    @ApiModelProperty("开户支行名称")
    private String bankAddress;

    /**
     * 开户行许可证
     */
    @ApiModelProperty("开户支行所在地")
    private String licenseImage;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
