package cn.wise.sc.pay.api.order.service;

import cn.wise.sc.pay.api.order.service.impl.IOrderCommentReplyImpl;
import cn.wise.sc.pay.business.comment.bean.Reply;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
@FeignClient(value = "saas-v1-order",path = "/order/comment/reply",fallback = IOrderCommentReplyImpl.class)
public interface IOrderCommentReplyService {

    @PostMapping("/addReply")
    BaseResponse inserReply(@RequestBody Reply reply);

    @DeleteMapping("/deleteById/{id}")
    BaseResponse deleteById(@PathVariable("id") Long id);

    @DeleteMapping("/deleteByCommentIds")
    BaseResponse deleteByCommentIds(@RequestBody String commentIdStr);

    @PutMapping("/updatePariseNum/{id}")
    BaseResponse updatePraiseNum(@PathVariable("id") Long id);

}
