package cn.wise.sc.pay.api.order.service;

import cn.wise.sc.pay.api.order.service.impl.XpenseTrackerImpl;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.XpenseTracker;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(value = "saas-v1-order", path = "/xpenseTracker", fallback = XpenseTrackerImpl.class)
public interface IXpenseTrackerService {

     @GetMapping("/list")
     BaseResponse list(@RequestBody PageWrapperQuery pageWrapperQuery);
     @GetMapping("/page")
     BaseResponse page(@RequestBody PageWrapperQuery page);
     @PostMapping("/batch")
     BaseResponse createBatch(@RequestBody List<XpenseTracker> xpenseTracker);
}
