package cn.wise.sc.pay.business.order.controller;

import cn.wise.sc.pay.business.order.model.GoodUtil;
import cn.wise.sc.pay.business.order.service.ISafeguardService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageWrapperQuery;
import cn.wise.sc.pay.domain.order.model.Safeguard;
import cn.wise.sc.pay.domain.order.query.SafeguardDetailQuery;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 维权订单  退款订单 前端控制器
 * </p>
 *
 * @author qh
 * @since 2020-02-10
 */
@RestController
@RequestMapping("/safeguard")
@Api("退款")
@CrossOrigin
public class SafeguardController {

    final
    GoodUtil goodUtil;

    final ISafeguardService iSafeguardService;

    public SafeguardController(ISafeguardService iSafeguardService, GoodUtil goodUtil) {
        this.iSafeguardService = iSafeguardService;
        this.goodUtil = goodUtil;
    }

    @PostMapping
    public BaseResponse create(@RequestBody SafeguardDetailQuery safeguardDetailQuery) {
        return iSafeguardService.creat(safeguardDetailQuery);
    }

    /**
     * @param refundNo 退款单号
     * @param status {@link cn.wise.sc.pay.domain.order.SafeguardUtil }
     * @param reason
     * @return
     */
    @PutMapping("/audit")
    public BaseResponse auditRefundApply(String refundNo, int status, String reason) {
        return iSafeguardService.audit(refundNo, status, reason);
    }

    @GetMapping("/{refundNo}")
    public BaseResponse refundDetails(@PathVariable("refundNo") String refundNo) {
        return iSafeguardService.getOneByRefundNo(refundNo);
    }

    @PutMapping("/status")
    public BaseResponse<String> editRefundInfo(@RequestBody SafeguardDetailQuery safeguardDetailQuery) {
        return iSafeguardService.editSafeguard(safeguardDetailQuery);
    }

    @PostMapping("/page")
    public BaseResponse<Safeguard> page(@RequestBody PageWrapperQuery pageWrapperQuery) {
        return iSafeguardService.page(pageWrapperQuery);
    }

    @PutMapping("/connectLogisticsNo")
    public BaseResponse<Safeguard> connectLogisticsNo(String refundNo, String LogisticsNo) {
        return iSafeguardService.connectLogisticsNo(refundNo, LogisticsNo);
    }

}

