package cn.wise.sc.pay.business.order.model;

import cn.hutool.core.lang.Assert;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson.JSON;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.env.Environment;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @description: 商品工具类
 * @author: qh
 * @create: 2020-06-30 15:47
 **/
@Component
public class GoodUtil {

    @Autowired
    private Environment environment;

    public String fullImgUrl(String goods, String paas) {

        Assert.notEmpty(goods);
        Assert.notEmpty(paas);

        if ("cashier".equals(paas)) {
            return goods;
        } else if ("ESHOP".equals(paas)) {
            List<EshopModel> list = JSON.parseArray(goods, EshopModel.class);

            for (EshopModel eshopModel : list) {
                String fullUrl = fullUrl(eshopModel.getOriginal());
                eshopModel.setOriginal(fullUrl);
            }
            return JSON.toJSONString(list);
        } else if ("EXHIBITION".equals(paas)) {
            List<ExhibitionModel> list = JSON.parseArray(goods, ExhibitionModel.class);

            for (ExhibitionModel exhibitionModel : list) {
                String fullUrl = fullUrl(exhibitionModel.getCover());
                exhibitionModel.setCover(fullUrl);
            }
            return JSON.toJSONString(list);
        }else {
            return goods;
        }

    }
    /**
     * 获取完整路径
     * @param relativeUrl
     * @return
     */
    public String fullUrl(String relativeUrl) {
        if (StrUtil.isNotBlank(relativeUrl)) {
            String host = environment.getProperty("fdfs.imgaddress");
            return host + relativeUrl;
        }else {
            return relativeUrl;
        }
    }

}
