package cn.wise.sc.pay.business.order.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrdersAutoSetting;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 订单自动配置  服务类
 * </p>
 *
 * @author qh
 * @since 2020-03-31
 */
public interface IOrdersAutoSettingService extends IService<OrdersAutoSetting> {

    /**
     * 获取订单自动处理 配置
     *
     * @return OrdersAutoSetting
     */
    BaseResponse<OrdersAutoSetting> getOrderSetting();

    /**
     * 编辑订单自动处理
     *
     * @param ordersAutoSetting 订单自动配置对象
     * @return OrdersAutoSetting
     */
    BaseResponse<OrdersAutoSetting> edit(@RequestBody OrdersAutoSetting ordersAutoSetting);
}
