package cn.wise.sc.pay.business.order.service;


import cn.wise.sc.pay.business.order.model.WxUser;
import cn.wise.sc.pay.business.order.weichat.model.OAuthAccessToken;

public interface WeiXinDao {
    /**
     * 微信OAuth2.0授权（目前微信只支持在微信客户端发送连接，实现授权）
     */
    String getCodeUrl(String appid, String redirect_uri, String scope, String state) throws Exception;

    /**
     * 微信OAuth2.0授权-获取accessToken(这里通过code换取的网页授权access_token,与基础支持中的access_token不同）
     */
    OAuthAccessToken getOAuthAccessToken(String appid, String secret, String code) throws Exception;

    /**
     * 小程序获取openid
     */
    OAuthAccessToken getOpenIdByCode(String appid, String secret, String code) throws Exception;
    /**
     */
    OAuthAccessToken refershOAuthAccessToken(String appid, String refresh_token) throws Exception;

    /**
     * 微信OAuth2.0授权-检验授权凭证（access_token）是否有效
     */
    boolean isAccessTokenValid(String accessToken, String openId) throws Exception;

    /**
     * 微信OAuth2.0授权-获取用户信息（网页授权作用域为snsapi_userinfo，则此时开发者可以通过access_token和openid拉取用户信息）
     */
    WxUser acceptOAuthUserNews(String accessToken, String openId) throws Exception;
}
