package cn.wise.sc.pay.business.order.service.impl;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.domain.order.model.OrdersAutoSetting;
import cn.wise.sc.pay.business.order.mapper.OrdersAutoSettingMapper;
import cn.wise.sc.pay.business.order.service.IOrdersAutoSettingService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author qh
 * @since 2020-03-31
 */
@Service
public class OrdersAutoSettingServiceImpl extends ServiceImpl<OrdersAutoSettingMapper, OrdersAutoSetting> implements IOrdersAutoSettingService {

    @Override
    public BaseResponse<OrdersAutoSetting> getOrderSetting() {

        List<OrdersAutoSetting> list = this.list();
        //如果没找到系统设置  添加一个
        if (list == null || list.size() == 0) {
            OrdersAutoSetting ordersAutoSetting = OrdersAutoSetting.builder()
                    .autoCancelOrderTime(7)
                    .autoReceiveOrderTime(7)
                    .autoCompleteOrderTime(7)
                    .build();

            boolean result = this.save(ordersAutoSetting);
            if (result) {
                return BaseResponse.ok(ordersAutoSetting);
            } else {
                return BaseResponse.error("初始化系统配置失败!", OrdersAutoSetting.class.getName());
            }
        } else {
            return BaseResponse.ok(list.get(0));
        }
    }

    @Override
    public BaseResponse<OrdersAutoSetting> edit(OrdersAutoSetting ordersAutoSettingUp) {

        List<OrdersAutoSetting> list = this.list();
        if (list == null || list.size() == 0) {
            return BaseResponse.error("请先初始化订单自动配置!", OrdersAutoSetting.class.getName());
        }
        OrdersAutoSetting ordersAutoSetting = list.get(0);

        ordersAutoSettingUp.setId(ordersAutoSetting.getId());
        boolean result = this.updateById(ordersAutoSettingUp);
        if (result) {
            return BaseResponse.ok(ordersAutoSettingUp);
        } else {
            return BaseResponse.error("更新订单自动配置失败!", OrdersAutoSetting.class.getName());
        }
    }
}
