package cn.wise.sc.pay.domain.order;

import cn.wise.sc.pay.domain.order.model.OrderCallExceptionStatus;
import cn.wise.sc.pay.domain.order.model.OrderStatus;

/**
 * @description: 订单回调异常 状态工具类
 * @author: qh
 * @create: 2020-01-13 15:47
 **/
public class OrderCallExStatusUtil {

    /**
     * 根据 当前回调异常的订单类型 选择异常订单类型
     *
     * @param orderStatus 订单类型  退款/支付
     * @return
     * @throws Exception 订单类型不正确  调用时需要处理
     */
    public static OrderCallExceptionStatus getExceptionStatus(String orderStatus) throws Exception {
        if (OrderStatus.CONFIRM.name().equals(orderStatus)) {
            return OrderCallExceptionStatus.PAY_EXCEPTION;
        }  else {
            throw new Exception("订单类型不正确!");
        }
    }

    /**
     * 根据 当前回调异常的订单类型 选择异常订单类型
     *
     * @param orderStatus 订单类型  退款/支付   0:PAY_EXCEPTION  1:APPLY_REFUND_EXCEPTION 其他:ALL
     * @return
     */
    public static OrderCallExceptionStatus getExceptionStatus(Integer orderStatus) {
        if (orderStatus == null) {
            return OrderCallExceptionStatus.ALL;
        }
        if (orderStatus == 0) {
            return OrderCallExceptionStatus.PAY_EXCEPTION;
        } else if (orderStatus == 1) {
            return OrderCallExceptionStatus.APPLY_REFUND_EXCEPTION;
        }
        return OrderCallExceptionStatus.ALL;
    }
}
