package cn.wise.sc.pay.domain.order.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.AllArgsConstructor;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @description: 订单excel导出
 * @author: qh
 * @create: 2020-06-05 15:52
 **/
@NoArgsConstructor
@AllArgsConstructor
public class OrderExcel extends BaseRowModel {


    /**
     * 订单号
     */
    @ExcelProperty("订单号")
    private String orderNo;

    /**
     * 商品json
     */
    @ExcelProperty("商品信息")
    private String goods;

    /**
     * 订单状态
     */
    @ExcelProperty("订单状态")
    private String orderStatus;

    /**
     * 支付状态
     */
    @ExcelProperty("支付状态")
    private String payStatus;

    /**
     * 用户id
     */
    @ExcelProperty("买家Id")
    private Long userId;

    /**
     * 用户电话
     */
    @ExcelProperty("用户手机号码")
    private String userPhone;

    /**
     * 订单总金额
     */
    @ExcelProperty("订单总金额")
    private BigDecimal totalPrice;

    /**
     * 实际需要支付金额
     */
    @ExcelProperty("支付金额")
    private BigDecimal payPrice;

    /**
     * 支付方式
     */
    @ExcelProperty("支付方式")
    private String paymentMethodName;

    /**
     * 备注
     */
    @ExcelProperty("备注")
    private String remark;

    /**
     * 创建时间
     */
    @ExcelProperty("创建时间")
    private String createTime;

    /**
     * 最后更新时间
     */
    @ExcelProperty("最后更新时间")
    private String updateTime;

    /**
     * 预留字段 收货地址
     */
    @ExcelProperty("收货地址")
    private String receivePlace;

    /**
     * 商家id
     */
    @ExcelProperty("卖家Id")
    private Long sellerId;


    /**
     * 运费
     */
    @ExcelProperty("运费")
    private BigDecimal freight;

    /**
     * 当前订单获取到的积分
     */
    @ExcelProperty("可获取积分")
    private BigDecimal points;
    /**
     * 支付时间
     */
    @ExcelProperty("支付时间")
    private String payTime;

    public String getTableId() {
        return tableId;
    }

    public void setTableId(String tableId) {
        this.tableId = tableId;
    }

    @ExcelProperty("桌号")
    private String tableId;
    /**
     * 折扣金额
     */
    @ExcelProperty("折扣金额")
    private BigDecimal discount;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGoods() {
        return goods;
    }

    public void setGoods(String goods) {
        this.goods = goods;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public BigDecimal getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(BigDecimal totalPrice) {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public String getPaymentMethodName() {
        return paymentMethodName;
    }

    public void setPaymentMethodName(String paymentMethodName) {
        this.paymentMethodName = paymentMethodName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {


        this.updateTime = updateTime;


    }

    public String getReceivePlace() {
        return receivePlace;
    }

    public void setReceivePlace(String receivePlace) {
        this.receivePlace = receivePlace;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public BigDecimal getFreight() {
        return freight;
    }

    public void setFreight(BigDecimal freight) {
        this.freight = freight;
    }

    public BigDecimal getPoints() {
        return points;
    }

    public void setPoints(BigDecimal points) {
        this.points = points;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }
}
