package cn.wise.sc.pay.domain.order.model;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 点单实体类
 * </p>
 *
 * @author qh
 * @since 2019-12-12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Orders extends Model<Orders> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 统一下单 单号  唯一
     */
    private String unifiedOrderNo;

    /**
     * 商品json
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String goods;

    /**
     * 订单状态
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String orderStatus;

    /**
     * 支付状态
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String payStatus;

    /**
     * 用户id
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Long userId;

    /**
     * 用户电话
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String userPhone;

    /**
     * 订单总金额
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private BigDecimal totalPrice;

    /**
     * 实际需要支付金额
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private BigDecimal payPrice;

    /**
     * 支付方式
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String paymentMethodName;
    /**
     * 所属平台
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String paas;

    /**
     * 备注
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String remark;

    /**
     * 创建时间
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Long createTime;

    /**
     * 最后更新时间
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Long updateTime;

    /**
     * 预留字段
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String feild1;

    /**
     * 预留字段  目前用于存物流
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String feild2;

    /**
     * 预留字段  收银员
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String cashier;

    /**
     * 预留字段 设备号
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String deviceNo;

    /**
     * 预留字段 收货地址
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String receivePlace;

    /**
     * 商家id
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Long sellerId;

    /**
     * 店铺id
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Long shopId;

//  新增字段

    /**
     * 商品名称
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String goodsName;


    /**
     * 运费
     */
    private BigDecimal freight;

    /**
     * 当前订单获取到的积分
     */
    private BigDecimal points;

    /**
     * 桌子号
     */
    private String tableId;

    /**
     * 支付时间
     */
    private Long payTime;

    /**
     * 折扣金额
     */
    private BigDecimal discount;

    @Override

    protected Serializable pkVal() {
        return this.id;
    }

}
