package cn.wise.sc.pay.domain.order.query;

import cn.wise.sc.pay.domain.order.Do.OrderGoodsDO;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2019-12-03 16:48
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderQuery implements Serializable {

    private static final long serialVersionUID = 5945385688499781257L;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 支付方式
     */
    private String payment;

    /**
     * 用户id
     */
    private long userId;

    /**
     * 用户电话
     */
    private String userPhone;

    /**
     * 备注
     */
    private String remark;

    /**
     * 商品Json
     */
    private List<OrderGoodsDO> goods;

    /**
     * 总价格
     */
    private double totalPrice;
    /**
     * 商户id
     */
    private long sellerId;

    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 运费
     */
    private BigDecimal freight;

    /**
     * 当前订单获取到的积分
     */
    private BigDecimal points;

    /**
     * 支付时间
     */
    private Long payTime;

    /**
     * 折扣金额
     */
    private BigDecimal discount;
}
