package cn.wise.sc.payment.cmb.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 关闭订单参数
 * @author: qh
 * @create: 2019-12-18 17:27
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CloseOrderParams extends BaseQuery {

    /**
     * 版本号
     */
    private String version;
    /**
     * 编码方式
     */
    private String encoding;
    /**
     * 签名
     */
    private String sign;
    /**
     * 签名方法 01：RSA2
     */
    private String signMethod;
    /**
     * 商户号 商户在招行完成商户进件后分配的招行商户号
     */
    private String merId;
    String origOrderId;
    String origCmbOrderId;
    String userId;
}
