package cn.wise.sc.payment.cmb.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 收款二维码参数
 * @author: qh
 * @create: 2020-07-21 10:55
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ReceivingQRParam extends BaseQuery{
    /**
     * 版本号
     */
    private String version;
    /**
     * 编码方式
     */
    private String encoding;
    /**
     * 签名
     */
    private String sign;
    /**
     * 签名方法 01：RSA2
     */
    private String signMethod;
    /**
     * 商户号 商户在招行完成商户进件后分配的招行商户号
     */
    private String merId;
    /**
     * 商户端生成，要求此订单号在整个商户下唯
     */
    private String orderId;
    /**
     * 招行系统生成的收银员，每个收银员均会对应到一个门店。
     * 若商户无门店、收银员概念则上送默认的虚拟收银员即可。
     */
    private String userId;
    /**
     * 支付结果通知
     */
    private String notifyUrl;
    /**
     * 金额  分
     */
    private String txnAmt;
    /**
     * 币种
     */
    private String currencyCode = "156";
    /**
     * 保留域
     */
    private String mchReserved;
    /**
     * 商品描述
     */
    private String body;
    /**
     * 交易场景
     */
    private String tradeScene = "OFFLINE";
}
