package cn.wise.sc.pay.api.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @description: 积分来源设置
 * @author: qh
 * @create: 2020-04-28 15:28
 **/
@FeignClient(value = "saas-v1-points", path = "/points/pointSource", fallback = PointsSourceV1ServiceImpl.class)
public interface IPointsSourceV1Service {

    /**
     * 根据途径查询和数据列表查询
     *
     * @param way
     * @return
     */
    @GetMapping(value = "/list/condition")
    BaseResponse listOnCondition(@RequestParam("way") String way);

    /**
     * 根据积分途径获取积分值
     *
     * @param key     关键字 如累积积分的天数/会员等级积分的会员id/文章评论的字数
     * @param pathway 积分类型
     * @return 积分点数
     */
    @GetMapping("/score")
    Double getScore(@RequestParam("key") Long key, @RequestParam("pathway") String pathway);
}
