package cn.wise.sc.pay.business.points.mapper;

import cn.wise.sc.pay.domain.point.bean.InterestsMembership;
import cn.wise.sc.pay.domain.point.bean.MemberInterests;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description: 会员权益
 * @author: qh
 * @create: 2020-01-06 16:36
 **/
@Mapper
public interface MemberInterestsMapper extends BaseMapper<MemberInterests> {

    /**
     * 根据会员id  回去权益集合
     *
     * @param memberId
     * @return
     */
    List<MemberInterests> getInterests(@Param("id") Long memberId);

    /**
     * 批量添加中间表
     *
     * @param insertBatch
     */
    void insertBatch(@Param("list") List<InterestsMembership> insertBatch);

    List<InterestsMembership> getInterestsMembership();

    void delInterestsMembershipByInId(@Param("id") Long interestsId);

    void select();
}
