package cn.wise.sc.pay.business.points.mapper;

import cn.wise.sc.pay.domain.point.bean.Membership;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author qh
 * @since 2019-11-11
 */
@Mapper
public interface MembershipMapper extends BaseMapper<Membership> {

    int memberBlUsrCount(@Param("id") Integer id);

    Integer hasSameExp(double exp);

    void updateUsersMembership(@Param("id") Long id, @Param("memberName") String memberName);

    double selectMemberExp(String memberName);

    void addNewUser(@Param("id") Long id, @Param("memberName") String memberName);

    /**
     * 获取会员等级集合
     * @return
     */
    List<Membership> selectMemberships();

    int numberCount(@Param("id") String id);

    /**
     * 根据用户id  查询他所属等级
     * @param userId 用户id
     * @return
     */
    Membership getShipByUserId(long userId);
}
