package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.GiftGoods;
import cn.wise.sc.pay.domain.point.query.GiftGoodsQuery;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 积分商城  实物商品业务接口层
 * @author jiawei
 */
public interface IGiftGoodsService extends IService<GiftGoods> {
    /**
     * 添加一条积分商城  实物商品记录
     *
     * @param giftGoodsQuery
     * @return
     */
    BaseResponse add(GiftGoodsQuery giftGoodsQuery);

    /**
     * 根据商品名称条件分页
     *
     * @param name
     * @param pageQuery
     * @return
     */
    BaseResponse pageOnCondition(String name, PageQuery pageQuery);

    /**
     * 根据id值删除记录
     *
     * @param id
     * @return
     */
    BaseResponse discard(Long id);

    /**
     * 修改数据信息，传入数据时请传入id值
     *
     * @param giftGoodsQuery
     * @return
     */
    BaseResponse edit(GiftGoodsQuery giftGoodsQuery);

    /**
     * 根据id值查询记录
     * @param id
     * @return
     */
    BaseResponse infoById(Long id);
}
