package cn.wise.sc.pay.business.points.service;

import cn.wise.sc.pay.common.core.model.BaseResponse;
import cn.wise.sc.pay.common.core.query.PageQuery;
import cn.wise.sc.pay.domain.point.bean.PointDetail;
import cn.wise.sc.pay.domain.point.query.PointDetailQuery;
import cn.wise.sc.pay.domain.point.vo.PointDetailVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author qh
 * @since 2019-11-13
 */
public interface IPointDetailService extends IService<PointDetail> {

    /**
     * 根据用户Id获取积分明细
     *
     * @param userId    用户id
     * @param pageQuery 分页条件
     * @return
     */
    BaseResponse<Page<PointDetailVO>> listByUserId(int userId, PageQuery pageQuery);

    /**
     * 新增积分来源
     *
     * @param pointDetailQuery 积分来源请求对象
     * @return
     */
    BaseResponse addPointDetail(PointDetailQuery pointDetailQuery);

    /**
     * 新增一条积分来源记录
     *
     * @param pointDetailQuery
     * @return
     */
    BaseResponse insertPointDetailInfo(PointDetailQuery pointDetailQuery);

    /**
     * 获取用户积分详情
     *
     * @param userId  用户id
     * @param inOrOut 增加/减少
     * @return
     */
    BaseResponse getListByUser(long userId, int inOrOut);

    /**
     * 根据用户id获取用户积分消费或新增详情
     *
     * @param pageNo
     * @param pageSize
     * @param userId
     * @return
     */
    BaseResponse listByCOrI(Integer pageNo, Integer pageSize, Long userId, Integer condition);
}
