package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 商品兑换记录表
 */
@TableName(value = "goods_record")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodRecord extends Model<GoodRecord> {

    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 商品记录所属类别，0 虚拟商品，1 实物商品
     */
    private Integer type;
    /**
     * 商品id
     */
    private Long goodsId;
    /**
     * 本条记录状的态
     */
    private Integer status;
    /**
     * 兑换人id
     */
    private Long userId;
    /**
     * 交易时间
     */
    private Long tradeTime;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 修改时间
     */
    private Long updateTime;
    /**
     * 收货人
     */
    private String personName;
    /**
     * 收货人地址
     */

    private String address;

    /**
     * 兑换商品的积分值
     */
    private Integer point;

    /**
     * 物流公司
     */
    private String company;
    /**
     * 物流编号
     */
    private String deliveryNo;
    /**
     * 发货时间
     */
    private Long deliveryTime;

    /**
     * 兑换人名字
     *
     * @return
     */
    private String userName;
    /**
     * 收货人电话
     */
    private String personPhone;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}
