package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description: 会员等级对象
 * @author: qh
 * @create: 2019-12-09 16:18
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Membership implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    /**
     * 经验上限
     */
    private Double downExperience;
    /**
     * 经验下限
     */
    private Double upExperience;
    /**
     * 折扣
     */
    private Double discount;
    /**
     * 状态
     */
    private Integer status;
    /**
     * 是否已删除 1:是 0:否
     */
    private Integer delFlag;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;
    /**
     * 名
     */
    private String name;
    /**
     * 背景图地址
     */
    private String backPhoto;
}