package cn.wise.sc.pay.domain.point.bean;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 积分来源设置实体表
 */
@Data
@Builder
@TableName(value = "point_source_v1")
public class  PointSourceV1 extends Model<PointSourceV1> {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 途径  :发布文章,  线上消费,  签到奖励,  优质点评
     */
    private String way;
    /**
     * 设置类型,0统一设置，1按会员等级设置，2不累计设置，3按天累计设置，4点评设置
     */
    private Integer setType;
    /**
     * 统一设置积分值
     */
    private Integer unionScore;
    /**
     * 会员积分值
     */
    private String memberScores;
    /**
     * 是否禁用 0 未禁用，1 禁用
     */
    private Integer status;
//    /**
//     * 优质点评字数值
//     */
//    private Integer words;
    /**
     * 按天累计积分值
     */
    private String cumulativeScores;
    /**
     * 优质点评积分值
     */
    private String wordScores;
    /**
     * 不累计设置积分值
     */
    private Integer nonCumulativeScore;
    /**
     * 创建时间
     */
    private Long createTime;
    /**
     * 更新时间
     */
    private Long updateTime;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }
}

