package cn.wise.sc.pay.domain.point.query;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.point.bean.Coupons;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Builder
@Data
@ApiModel
@AllArgsConstructor
@NoArgsConstructor
public class CouponsQuery implements Serializable {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 优惠券名称
     */
    @NotBlank
    @ApiModelProperty(value = "优惠券名称")
    private String name;
    /**
     * 优惠券类型id
     */
    @NotNull
    @ApiModelProperty(value = "优惠券类型id")
    private Integer typeId;
    /**
     * 优惠券面额
     */
    @NotNull
    @ApiModelProperty(value = "优惠券面额")
    private Double cost;
    /**
     * 使用阈值
     */
    @NotNull
    @ApiModelProperty(value = "使用阈值")
    private Double ableValue;

    /**
     * 状态，0未使用，1，已使用
     */
    @ApiModelProperty(value = "状态，0未使用，1，已使用")
    private Integer status;

    public static Coupons query2Entity(CouponsQuery couponsQuery) {
        Coupons coupons = new Coupons();
        BeanUtil.copyProperties(couponsQuery, coupons);
        return coupons;
    }
//    /**
//     * 状态，0未使用，1，已使用
//     */
//    private Integer status;
//    /**
//     * 创建时间
//     */
//    private Long createTime;
//    /**
//     * 修改时间
//     */
//    private Long updateTime;
}
