package cn.wise.sc.pay.domain.point.query;

import cn.hutool.core.bean.BeanUtil;
import cn.wise.sc.pay.domain.point.bean.GoodRecord;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class GoodRecordQuery {
    /**
     *
     */
    @ApiModelProperty(value = "id主键")
    private Long id;
    /**
     * 商品记录所属类别，0 虚拟商品，1 实物商品
     */
    @ApiModelProperty(value = "商品记录所属类别，1 虚拟商品，0 实物商品")
    @NotNull(message = "商品记录所属类别不能为空")
    private Integer type;
    /**
     * 商品id
     */
    @ApiModelProperty(value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long goodsId;
    /**
     * 本条记录的状态
     */
    @ApiModelProperty(value = "本条记录的状态")
    private Integer status;
    /**
     * 收货人id
     */
    @ApiModelProperty(value = "兑换人id")
    @NotNull(message = "收货人id不能为空")
    private Long userId;
    /**
     * 交易时间
     */
    @ApiModelProperty(value = "交易时间")
    private Long tradeTime;
    /**
     * 收货人
     */
    @ApiModelProperty(value = "收货人")
    private String personName;
    /**
     * 收货人地址
     */
    @ApiModelProperty(value = "收货人地址")
    @NotBlank(message = "收货人地址不能为空")
    private String address;

    /**
     * 兑换人名字
     */
    @ApiModelProperty(value = "兑换人名字")
    @NotBlank(message = "兑换人不能为空")
    private String userName;

    /**
     * 兑换商品所需积分值
     */
    @ApiModelProperty(value = "兑换商品所需积分值")
    @NotBlank(message = "兑换商品所需积分值不能为空")
    private Integer point;

    public static GoodRecord query2Entity(GoodRecordQuery query) {
        GoodRecord goodRecord = new GoodRecord();
        BeanUtil.copyProperties(query, goodRecord);
        return goodRecord;
    }
}
