package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Collection;

/**
 * @description:
 * @author: qh
 * @create: 2019-11-14 10:51
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PointTypeQuery implements Serializable {

    private static final long serialVersionUID = -379068978055899825L;

    /**
     * 途径
     */
    private String payWay;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 0:系统设置   1:会员设置
     */
    private Integer type;

    /**
     * 会员等级<id,积分>
     */
    private Collection<MembershipPointQuery> list;


    /**
     * 会员等级id
     */
    private Long membershipId;

    /**
     * 基于系统设置的分数
     */
    private Double score;

}
