package cn.wise.sc.pay.domain.point.query;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import javax.validation.constraints.NotNull;

/**
 * @description: 用户 积分 经验 会员等级DTO
 * @author: qh
 * @create: 2020-01-06 11:10
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserExreaQuery {

    /**
     * 会员Id
     */
    private Long userId;

    /**
     * 会员等级id
     */
    @NotNull
    private Long membershipId;

    /**
     * 经验值
     */
    private Double experience;

    /**
     * 会员拥有的积分
     */
    private Double points;
    /**
     * 修改类型 默认为0 管理员设置积分信息，添加积分记录,  1其它更改积分信息，需要添加对应积分记录
     */
    private int type = 0;
}
