package cn.wise.sc.pay.domain.point.vo;

import cn.wise.sc.pay.domain.point.bean.MemberInterests;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 消费端用户权益
 * @author: qh
 * @create: 2020-01-06 17:38
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel
public class UserExtraVOApp implements Serializable {

    /**
     * 会员id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 会员等级id
     */
    @ApiModelProperty(value = "会员等级id")
    private Long membershipId;

    /**
     * 经验值
     */
    @ApiModelProperty(value = "用户经验值")
    private Double experience;
    /**
     * 经验下限
     */
    @ApiModelProperty(value = "会员等级经验下限")
    private Double downExperience;
    /**
     * 经验上限
     */
    @ApiModelProperty(value = "会员等级经验上限")
    private Double upExperience;

    /**
     * 会员折扣
     */
    private Double discount;
    /**
     * 下一等级会员折扣
     */
    private Double nextDiscount;

    /**
     * 可用积分
     */
    @ApiModelProperty(value = "用户积分")
    private Double points;

    /**
     * 下一级积分
     */
    private Double nextPoints;

    /**
     * 会员等级名字
     */
    @ApiModelProperty(value = "会员等级名字")
    private String memberShipName;

    /**
     * 权益集合
     */
    @ApiModelProperty(value = "会员权益集合")
    private List<MemberInterests> memberInterests;
    /**
     * 背景图
     */
    @ApiModelProperty(value = "会员背景图")
    private String backPhoto;
}
