package cn.wise.sc.pay.business.sms.controller;

import cn.hutool.captcha.CaptchaUtil;
import cn.hutool.captcha.LineCaptcha;
import cn.wise.sc.pay.business.sms.service.SmsService;
import cn.wise.sc.pay.common.core.model.BaseResponse;
import com.aliyuncs.exceptions.ClientException;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 发送短信
 */
@Api(tags = "短信发送接口")
@RestController
@RequestMapping("/sendSms")
@CrossOrigin
public class SmsController {
    @Autowired
    private SmsService smsService;

    @GetMapping("/code")
    public void getCode(HttpServletResponse response) throws IOException {
        LineCaptcha captcha = CaptchaUtil.createLineCaptcha(200, 100, 4, 50);
        String img = captcha.getImageBase64();
        String code = captcha.getCode();
        System.out.println(img);
        System.out.println(code);
        ServletOutputStream outputStream = null;
        outputStream = response.getOutputStream();
        response.getWriter().write(img);
        captcha.write(outputStream);
        outputStream.close();
    }

    public static void main(String[] args) {
        LineCaptcha captcha = CaptchaUtil.createLineCaptcha(200, 100, 4, 50);
        String img = captcha.getImageBase64();

        String rts = "data:image/jpg;base64," + img;

        String code = captcha.getCode();
        System.out.println(img);
        System.out.println(code);
        ServletOutputStream outputStream = null;
        captcha.write(outputStream);
    }

    @PostMapping("/code/{phone}")
    @ApiOperation(value = "发送验证码到手机")
    @ApiImplicitParams(
            {
                    @ApiImplicitParam(name = "phone", value = "手机号码", dataType = "String", paramType = "path")
            }
    )
    public BaseResponse sendSms(@PathVariable String phone) {
        BaseResponse baseResponse = null;
        try {
            baseResponse = smsService.sendSms(phone);
        } catch (ClientException e) {
            e.printStackTrace();
            baseResponse = BaseResponse.error(e.getErrMsg(), this.getClass().getName());
        }
        return baseResponse;
    }

    @PostMapping("/checkCode")
    @ApiOperation(value = "检测验证码")
    @ApiImplicitParams(
            {
                    @ApiImplicitParam(name = "telephone", value = "手机号码", dataType = "String", paramType = "query"),
                    @ApiImplicitParam(name = "verificationCode", value = "验证码", dataType = "String", paramType = "query")
            }
    )
    public BaseResponse checkCode(String telephone, String verificationCode) {
        BaseResponse baseResponse = smsService.checkSms(telephone, verificationCode);
        return baseResponse;
    }
}
