package cn.wise.sc.pay.business.sms.utils;


import cn.wise.sc.pay.common.core.model.BaseResponse;
import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.NameValuePair;
import org.apache.commons.httpclient.methods.PostMethod;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import java.io.IOException;

/**
 * /接口类型：互亿无线触发短信接口，支持发送验证码短信、订单通知短信等。
 * <p>
 * 互亿无线 短信发送
 */
public class IhuyiSmsUtil {

    private static String URL = "http://106.ihuyi.com/webservice/sms.php?method=Submit";

    private static String APIID = "C75657552";

    private static String APIKEY = "ccdae8304dba3ea46e8f8fc4362d095d";


    public static BaseResponse sendSms(String telephone, String verificationCode) throws IOException {

        HttpClient client = new HttpClient();
        PostMethod method = new PostMethod(URL);

        client.getParams().setContentCharset("GBK");
        method.setRequestHeader("ContentType", "application/x-www-form-urlencoded;charset=GBK");

        String content = new String("您的验证码是：" + verificationCode + "。请不要把验证码泄露给其他人。");
//提交短信
        NameValuePair[] data = {
                //查看用户名 登录用户中心->验证码通知短信>产品总览->API接口信息->APIID
                new NameValuePair("account", APIID),
                //查看密码 登录用户中心->验证码通知短信>产品总览->API接口信息->APIKEY
                new NameValuePair("password", APIKEY),
                new NameValuePair("password", StringUtil.MD5Encode(APIKEY)),
                new NameValuePair("mobile", telephone),
                new NameValuePair("content", content),
        };
        method.setRequestBody(data);

        try {
            int i = client.executeMethod(method);

            System.out.println(i);
            String SubmitResult = method.getResponseBodyAsString();

            //System.out.println(SubmitResult);

            Document doc = DocumentHelper.parseText(SubmitResult);
            Element root = doc.getRootElement();

            String code = root.elementText("code");
            String msg = root.elementText("msg");
            String smsid = root.elementText("smsid");

            System.out.println(code);
            System.out.println(msg);
            System.out.println(smsid);

            if ("2".equals(code)) {
                System.out.println("短信提交成功");
                return BaseResponse.ok(root);
            }
            return BaseResponse.error("发送短信失败！", IhuyiSmsUtil.class.getName());
        } catch (Exception e) {
            e.printStackTrace();
            return BaseResponse.error(e.getMessage(), IhuyiSmsUtil.class.getName());
        }
    }
}
